                              Pagina I


1. Generalit.......................1

2. Descrizione Tecnica..............4

 2.1 Il Modulo Braille .............4
 2.2 I Tastierini di controllo .....6
 2.3 Il Modulo a cristalli liquidi
 (LCD) .............................7
 2.4 L'unit di interfaccia
 verso il PC .......................7
 2.5 L'unit di alimentazione ......8
 2.6 L'unit di controllo a
 microprocessore ...................9

3. Descrizione fisica..............13

 3.1 Disposizione dei componenti ..13

4. Installazione...................16

 4.1 Collegamento con il PC .......16
 4.2 Installazione del software ...17
 4.3 Primi passi con MB408S .......19

5. Concetti generali...............30

                             Pagina II


 5.1 La struttura video del PC ....30
 5.2 I parametri di installazione .35
 5.3 La codifica dei tasti ........40
 5.4 Le segnalazioni acustiche ....42
 5.5 Il codice di revisione
     software .....................43
 5.6 La codifica dei punti Braille 44
 5.7 Limitazione del modulo LCD ...45
 5.8 I caratteri di controllo .....45

6. Le funzioni di MB408S...........49

 6.1 Gli spostamenti di base ......51
 6.2 Altre funzioni di spostamento 53
 6.3 La modalit "Testo Compresso" 56
 6.4 La gestione del cursore ......58
 6.5 Le tabulazioni ...............63
 6.6 I marker .....................66
 6.7 Le finestre ..................69
 6.8 La gestione degli
     attributi testo ..............74
 6.9 Altre funzioni di MB408S .....81
 6.10 La gestione del Soft-Cursor .89
 6.12 La memorizzazione dei
      parametri ..................100

                            Pagina III


 6.13 Utilizzo del pulsante sui
 caratteri Braille ...............101
 6.14 Simulazione Pagina Su,
      Pagina Gi .................123

7. Le Funzioni di Servizio........124

 7.1 L'editor del font Braille ...124
 7.2 Le altre funzioni ...........129

8. Il programma MBCOM.............132

 8.1 Il trasferimento dati .......133

9. Il Programma FEDIT.............140

10. Il programma TESTHW...........144

Appendice 1.......................146

Appendice 2.......................157

Appendice 3.......................168

 A3.1 Gli errori del terminale
      MB408S .....................168

                             Pagina IV


 A3.2 Gli errori del programma
      MB408S.EXE .................172
 A3.3 Gli errori del programma
      MBCOM.EXE ..................175
 A3.4 Consigli utili .............178

                              Pagina 1


1. Generalit

Il terminale Braille MB408S  una
apparecchiatura elettronica gestita da
microprocessore con elevata capacit
di elaborazione, adatta, congiunta-
mente ad un Personal Computer IBM o
compatibile, ad essere impiegata da
persone non vedenti che desiderano
dedicarsi all'utilizzo del PC per
l'inserimento nel mondo del lavoro,
per lo studio o per uso personale.

Il terminale dispone di un modulo
Braille con 40 caratteri di lettura
pi due di controllo; il carattere
singolo Braille  costituito da otto
punti con movimentazione mediante
barra piezo-elettrica e un pulsantino
disposto sopra i caratteri.

La gestione del PC cui viene collegato
MB408S non viene alterata in alcun
modo dalla presenza del terminale
Braille, in quanto questo  dotato di
17 tasti multifunzione ben

                              Pagina 2


identificabili che ne permettono la
gestione completa.

Per facilitare il controllo della
posizione di lettura di MB408S da
parte di un utente vedente,
l'apparecchiatura  dotata di un vi-
sore con 40 caratteri del tipo a
cristalli liquidi per permettere la
lettura in nero del testo Braille.

Il terminale Braille MB408S non
richiede interventi o schede ag-
giuntive sul PC; l'interconnessione
avviene attraverso un cavo collegato
alla porta seriale di tipo RS-232
normalmente esistente sul PC.

Il software di configurazione e di
gestione di MB408S  residente su
memoria permanente ma riscrivibile. In
tal modo l'aggiornamento del software
pu essere fatto direttamente
dall'utente finale, senza l'intervento
di personale specializzato.

                              Pagina 3


Il software fornito con MB408S
permette di lavorare solo con un
sistema operativo MS-DOS 3.0 o
successivo. Sono comunque in fase di
sviluppo opportune interfacce software
per l'utilizzo di programmi di lettura
schermo funzionanti con altri sistemi
operativi, quali Windows e Linux.

                              Pagina 4


2. Descrizione Tecnica

MB408S  stato studiato per avere la
massima "trasparenza" per quanto
riguarda i programmi utilizzati sul
computer; si  completamente evitato
l'uso della tastiera del PC per la
gestione del terminale Braille  e la
comunicazione tra i due  affidata ad
un programma residente nella memoria
del computer che funziona in
"parallelo" al programma dell'utente.
Non  quindi necessaria alcuna
operazione di "congelamento"
momentaneo dello schermo per la sua
lettura da parte di MB408S; tutto pu
essere fatto contemporaneamente al
normale funzionamento del programma
utilizzato sul computer.

MB408S  funzionalmente diviso nelle
seguenti unit:

2.1 Il Modulo Braille

                              Pagina 5


Il Modulo Braille  composto da 40
caratteri pi 2 caratteri di
controllo. Il carattere Braille
utilizzato  di tipo piezo-elettrico
ad 8 punti, con caratteristiche di
alta velocit di risposta, consumo
ridotto, alta affidabilit e bassa
manutenzione necessaria. L'utilizzo di
8 punti, rispetto ai 6 tradizionali,
permette la composizione di tutti i
256 caratteri presenti nello standard
ASCII IBM ed inoltre fornisce informa-
zioni supplementari come per esempio
la posizione del cursore video o
l'indicazione degli attributi colore
del testo. I due caratteri di
controllo vengono utilizzati per
indicare le coordinate della riga
Braille rispetto allo schermo del PC,
le coordinate del cursore video oppure
lo stato delle funzioni selezionate
attraverso i tasti. Sopra i punti su
ogni singolo carattere  inoltre
presente un pulsantino il cui
funzionamento verr descritto nei
capitoli successivi.

                              Pagina 6


2.2 I Tastierini di controllo

Sul lato sinistro del modulo Braille 
presente un tastierino, composto da 2
file di 5 tasti disposte vertical-
mente. Di fronte al modulo  poi
presente un secondo tastierino
composto da 7 tasti disposti
orizzontalmente. Complessivamente sono
disponibili 10 tasti funzione (F1-F5,
la prima colonna e F6-F10 la seconda
colonna, quest'ultimo identificato per
como-dit come F0). Sulla tastiera
orizzontale sono presenti  4 tasti
freccia (alto, basso, destra e sini-
stra) e tre tasti di shift
(funzionalmente equivalenti). Per
aumentare il numero di funzioni
selezionabili da questi 17 tasti, si 
associata a ciascuno di essi la
possibilit di effettuare 4 selezioni
come segue:

1) tasto battuto da solo.

                              Pagina 7


2) tasto battuto insieme ad uno dei
tasti di shift.

3) come in 1) ma tenuto battuto per
almeno 2 secondi.

4) come in 2) ma tenuto battuto per
almeno 2 secondi.

In tal modo sono possibili 56
differenti selezioni.

2.3 Il Modulo a cristalli liquidi
(LCD)

Questo modulo di 40 caratteri riporta
in nero ci che viene scritto sulla
riga Braille; non riporta per le
indicazioni dei due caratteri di
controllo. E' stato inserito
essenzialmente a scopo didattico, per
permettere di seguire pi agevolmente
il lavoro dell'utente non vedente.

2.4 L'unit di interfaccia verso il PC

                              Pagina 8


Si tratta di una interfaccia di tipo
seriale RS-232. Questo tipo di
interfaccia  di basso costo e
praticamente sempre presente sui
computer, in quanto utilizzata anche
per il collegamento di mouse, modem o
altri dispositivi. Anche il cavo di
collegamento (in dotazione) tra MB408S
e PC  di tipo standard. Nel terminale
 presente anche una seconda
interfaccia seriale, al momento non
utilizzata, prevista per il
collegamento ad altre unit
periferiche, quali sintesi vocali o
stampanti Braille.

2.5 L'unit di alimentazione

Provvede a generare tutte le tensioni
necessarie alle altre unit. Sono
previsti opportuni circuiti di prote-
zione contro le sovratensioni e per la
limitazione della corrente. L'ingresso
dell'alimentatore  in corrente
alternata a 220 Volt +/- 10%, 50/60

                              Pagina 9


Hz. Il consumo complessivo  di circa
7 W.

2.6 L'unit di controllo a
microprocessore

MB408S si pu definire un terminale di
tipo "intelligente", in quanto
controllato da un microprocessore che
gestisce le varie unit e la comu-
nicazione con il PC. In tal modo si
alleggerisce al massimo il carico di
lavoro del software residente in
memoria sul PC e di conseguenza si
minimizza la riduzione della potenza
di elaborazione del PC; in effetti si
pu considerare questa riduzione
contenuta in qualche unit
percentuale.

Per quanto riguarda il software
presente all'interno di MB408S, lo si
pu considerare diviso in due sezioni.
La prima sezione si occupa del
controllo delle varie unit descritte
precedentemente e risiede su una

                             Pagina 10


memoria di tipo permanente e non
riscrivibile (EPROM da 128Kb). Data la
stretta relazione con tutto l'hardware
di MB408S, difficilmente questo
software verr modificato in futuro
(se non per effettive modifiche anche
all'hardware).

La seconda sezione si occupa di
realizzare le varie funzioni messe a
disposizioni da MB408S e risiede su
una memoria di tipo permanente ma
riscrivibile (FLASH da 128Kb) . Questa
soluzione permette di modificare il
software, e quindi di aumentare e
migliorare le funzioni di MB408S,
senza dover intervenire a livello
hardware con la sostituzione di chip
di memoria. In tal modo
l'aggiornamento del software pu
essere fatto direttamente dall'utente
finale senza l'intervento di personale
specializzato. I parametri di
configurazione del terminale che
l'utente pu modificare e che non
devono andare perduti allo spegnimento

                             Pagina 11


della macchina sono posti in una
memoria di tipo permanente e
riscrivibile (EEPROM da 512 byte).

Attraverso un opportuno programma di
comunicazione (MBCOM.EXE, descritto
pi avanti), sul PC  possibile in
breve tempo trasmettere a MB408S un
file contenente il nuovo software o i
parametri di configurazione e,
viceversa, ricevere il software e i
parametri attualmente caricati sul
terminale per poi salvarli in file su
disco.

Il software del programma residente in
memoria sul PC  stato scritto tenendo
presente esigenze di efficienza del
codice e consumo limitato di memoria
(circa 32 Kb allo stato attuale).
L'eventuale aggiornamento di questo
software ovviamente non comporta alcun
problema, in quanto viene fornito su
dischetto; comunque  in generale
molto probabile che contemporaneamente

                             Pagina 12


venga richiesto anche un aggiornamento
del software inserito in MB408S.

                             Pagina 13


3. Descrizione fisica

L'apparecchiatura  realizzata in un
contenitore di lamiera verniciata. Le
sue dimensioni massime sono: larghezza
580 mm., profondit 270 mm., altezza
47 mm. La massa  di 5.5 Kg.

Il terminale viene corredato dai
seguenti accessori:

- Cavo di alimentazione da rete.

- Cavo di interfaccia seriale con il
PC.

- Dischetto da 3"1/2 con software
di gestione.

- Manuale dell'utente.

3.1 Disposizione dei componenti

A) Modulo a cristalli liquidi posto
sulla parte destra della barra di
lettura Braille.

                             Pagina 14


B) Tastierino verticale di sinistra a
10 tasti, identificati con funzioni da
F1 a F5 a partire dall'alto verso il
basso la prima colonna e da F6 a F10
(per comodit identificato come F0) la
seconda colonna.

C) Tastierino frontale orizzontale a 7
tasti ( 1+3+3 ) identificati da
sinistra verso destra come: shift,
freccia verso sinistra, shift, freccia
verso l'alto, freccia verso il basso,
shift, freccia verso destra.

D) Modulo di lettura Braille posto
sulla parte anteriore del contenitore.

E) Interruttore di alimentazione con
tasto a bilanciere e spina VDE con
fusibili di protezione, posizionato
sul lato sinistro. MB408S si spegne
premendo la parte posteriore
dell'interruttore.

F) Due connettori per il collegamento
esterno sul lato posteriore a destra.

                             Pagina 15


Il connettore pi all'interno 
utilizzato per il collegamento con il
PC, l'altro per eventuali dispositivi
aggiuntivi.

                             Pagina 16


4. Installazione

4.1 Collegamento con il PC

Prima di procedere alla connessione
dei cavi, assicurarsi che il PC sia
spento. Quindi collegare un'estremit
del cavo di interfaccia in dotazione
al connettore della porta seriale sul
PC. Avvitare le due viti di fissaggio
sul connettore. Notare che il cavo di
interfaccia  fornito di due
connettori di tipo differente (DB9
maschio e femmina) e quindi le due
estremit non possono essere
scambiate.

Collegare l'altra estremit del cavo
al connettore posteriore di sinistra
(quello pi all'interno) di MB408S e
fissare il cavo.

Collegare il cavo di alimentazione
alla presa VDE sul fianco sinistro ed
inserire l'altra estremit in una
presa di corrente a 220 V.

                             Pagina 17


4.2 Installazione del software

Il software viene fornito su dischetto
da 3" 1/2. Se il PC  fornito di hard
disk,  consigliabile copiare il
software all'interno di una sub-
directory opportunamente creata
sull'hard disk. Dal prompt del DOS
immettere quindi i seguenti comandi :

C> md \MB408S

C> cd \MB408S

Si  ovviamente supposto, in questo
esempio, che la lettera di
identificazione per l'hard disk sia
C:.

Inserire nel drive del PC il dischetto
fornito e quindi copiare tutti i file
nella directory appena creata.
Supponendo che il drive in cui 
inserito il dischetto sia A:, il
comando DOS sar:

                             Pagina 18


C> copy a:*.*

I file forniti con MB408S sono i
seguenti:

MB408S.EXE : programma residente in
memoria per la gestione
dell'interfaccia Braille, versione
italiana.

MB408S_E.EXE : versione inglese del
programma precedente.

MBCOM.EXE : programma di utility e di
comunicazione tra PC e MB408S,
versione italiana.

MBCOM_E.EXE : versione inglese del
programma precedente.

COD.nnn : file contenente il codice
caricato nella memoria interna di
MB408S. Il numero "nnn" rappresenta la
revisione del codice correntemente
fornita.

                             Pagina 19


STANDARD.PAR : file contenente i
parametri standard di configurazione
di MB408S.

MB408SIT.MAN : file di testo
contenente questo manuale.

FUN1IT.REF : lista delle funzione di
MB408S in ordine di tasto, versione
italiana.

FUN2IT.REF : lista delle funzioni di
MB408S raggruppate per tipo, versione
italiana.

LEGGIMI.DOC : file contenente
eventuali informazioni e note non
presenti nel manuale.

4.3 Primi passi con MB408S

Dopo aver eseguito i due passi
precedenti, siamo ora pronti per
accendere MB408S. Dopo aver premuto
l'interruttore di accensione, sulla
riga Braille deve apparire il messag-

                             Pagina 20


gio "MB408S BIOS vn.nn", dove "n.nn"
rappresenta la revisione corrente del
bios. In caso contrario riferirsi
all'appendice 3 del manuale. Dopo
alcuni secondi apparir il messaggio
"verifica display" e, se tutto
funziona correttamente, la scritta
"OK" ; quindi verr lanciato il
programma di gestione.

Sulla riga Braille appare la versione
del programma di gestione e il numero
del protocollo di comunicazione
selezionato. Il programma residente da
installare su PC funziona con il
protocollo numero "1", che  anche il
protocollo di comunicazione standard
verso il PC.

Prima di procedere all'utilizzo del
terminale MB408S, bisogna caricare sul
PC il programma residente per la
gestione dell'interfaccia Braille. Dal
prompt del DOS battiamo il seguente
comando:

                             Pagina 21


C> MB408S

Nel caso in cui sul PC siano presenti
pi porte seriali, il programma
utilizzer automaticamente la prima
individuata. Per esempio, nel caso di
due porte seriali, verr utilizzata
COM1.

Se si desidera indicare al programma
quale porta seriale utilizzare, 
necessario specificare sulla linea
comandi il parametro "/n" dove n  il
numero della porta desiderata.

Per utilizzare COM2 su un PC con due
porte seriali dovremo quindi battere
il comando:

C> MB408S /2

Si tenga presente che il parametro pu
essere specificato solo al momento del
caricamento del programma. Per
modificare l'indicazione della porta
seriale utilizzata  quindi necessario

                             Pagina 22


scaricare il programma nel caso questo
fosse gi stato installato nella
memoria del PC. Battere a tal scopo il
comando:

C> MB408S /q

Una volta installato il programma di
interfaccia Braille, il collegamento
viene attivato automaticamente. Se
dopo qualche secondo non appare nulla,
molto probabilmente  stata
specificata una porta seriale non
corretta. Procedere quindi a scaricare
il programma e installarlo di nuovo
specificando la porta seriale
corretta, utilizzando i comandi
descritti in precedenza.

E' opportuno a questo punto fare una
nota che ha validit generale nel
corso di questa trattazione: con la
frase "battere un tasto" si intende la
pressione di un tasto il cui rilascio
deve avvenire in un tempo suffi-
cientemente breve, non superiore a

                             Pagina 23


circa un secondo. In generale la
pressione di un tasto per un tempo pi
lungo, almeno due secondi, modifica la
funzione associata al tasto battuto.
Si noti infine che l'esecuzione della
funzione avviene al momento del
rilascio del tasto e non alla sua
pressione.

Il terminale Braille a questo punto 
in comunicazione con il PC ed  in
grado di leggere una parte dello
schermo; questo  organizzato in 25
righe di 80 caratteri ciascuna e tale
spazio viene letto da MB408S in
porzioni di 40 caratteri consecutivi.

E' probabile che il terminale si
posizioni su un'area vuota del video e
che quindi la riga Braille non riporti
alcun carattere, se non i due
all'estrema sinistra. Questi sono i
due caratteri di controllo il cui uso
verr spiegato pi avanti nel manuale;
per il momento li possiamo ignorare.

                             Pagina 24


Possiamo spostare la finestra di
lettura di MB408S utilizzando i 4
tasti freccia del tastierino frontale.
Con i tasti "freccia in alto" e
"freccia in basso" ci spostiamo
rispettivamente in alto e in basso di
una riga rispetto alla posizione
corrente della finestra. Per spostarci
orizzontalmente utilizziamo invece i
tasti "freccia a destra" e "freccia a
sinistra"; ogni spostamento  di 40
caratteri sullo schermo.

Se la finestra di lettura 
posizionata in fondo ad una riga, con
uno spostamento verso destra si
passer alla lettura dei primi
caratteri della riga successiva.
Analogamente, se la finestra di
lettura  posizionata all'inizio di
una riga, con uno spostamento verso
sinistra si passer alla lettura degli
ultimi caratteri della riga
precedente.

                             Pagina 25


MB408S risponde con un breve "beep"
alla pressione di ogni  tasto per
confermare l'acquisizione della fun-
zione. Nel caso in cui la funzione
richiesta non possa essere eseguita,
il terminale risponde con una segnala-
zione acustica di errore, composta da
una sequenza di 3 "beep" in rapida
successione. Si provi ad esempio a
spostarsi ripetutamente verso l'alto,
fino a raggiungere la prima riga dello
schermo. Battendo "freccia in alto"
MB408S risponde con la segnalazione di
errore.

I 4 tasti freccia sono dotati di
"auto-ripetizione", cio la loro
funzione viene ripetuta se il tasto
viene tenuto premuto per pi di un
secondo. Ci permette di velocizzare
gli spostamenti attraverso lo schermo.
Si noti che comunque gli altri 10
tasti funzione a sinistra della riga
Braille non sono dotati di questa
caratteristica; piuttosto, la loro
pressione per un tempo superiore a

                             Pagina 26


circa 2 secondi ne cambia la funzione
associata.

Una coppia di funzioni utili per
agevolare ulteriormente lo spostamento
sul video  composta dai tasti "F1" e
"F2". Con queste funzioni si sposta la
finestra di lettura rispettivamente
all'inizio della prima riga e
all'inizio dell'ultima riga dello
schermo.

E' possibile fare in modo che MB408S
insegua automaticamente gli
spostamenti del cursore video presente
sullo schermo. A tale scopo battere il
tasto "F5": sulla riga appare il
prompt del DOS "C>". Se ci non
succede, battere nuovamente il tasto
"F5". Si noter che, subito dopo il
prompt, sulla riga  presente un
carattere "pieno", cio con tutti gli
8 punti alzati. Questo carattere
indica la posizione del cursore video.

                             Pagina 27


Proviamo ora a battere alcuni
caratteri sulla tastiera del PC: essi
verranno immediatamente riportati
sulla riga Braille, mentre il cursore
video si sposta verso destra. Se
battiamo abbastanza caratteri, il
cursore tender ad uscire dalla riga
Braille; MB408S sposter allora la
finestra di lettura in modo da
inseguire la posizione del cursore.

Si noter che alcune lettere hanno il
punto in basso a sinistra attivato,
per esempio si verifichi la lettera
"C" nel prompt del DOS. Questo punto
indica che la lettera  in maiuscolo;
questo  uno dei vantaggi della
codifica Braille a 8 punti. Comunque,
l'utente abituato alla codifica
tradizionale a 6 punti potrebbe

rimanere inizialmente confuso per la
presenza di questi due punti
aggiuntivi. E' stata quindi prevista
una funzione che li rende non
operativi: tenere premuto uno dei
tasti "shift" e battere il tasto "F9".

                             Pagina 28


Utilizzando di nuovo lo stesso comando
si ritorna alla codifica completa a 8
punti.

Cancelliamo ora tutti i carattere
battuti utilizzando il tasto di
cancellazione posto di solito sopra al
tasto "Invio" della tastiera del PC.
Battiamo il comando DOS "dir" per
visualizzare la lista dei file
presenti nella directory attualmente
selezionata. Quindi esploriamo lo
schermo per leggere questa lista.
Partendo dall'inizio di una riga leg-
geremo nell'ordine il nome del file,
la sua dimensione, la data e l'ora
della sua creazione.

Battendo ora "freccia a destra", non
leggeremo pi nulla: infatti la parte
di destra dello schermo  in questo
momento vuota. Insistendo nello
spostamento verso destra, leggeremo ad
un certo punto il nome di un nuovo
file; saremo infatti passati
all'inizio della riga successiva.

                             Pagina 29


MB408S prevede una modalit di lettura
chiamata "testo compresso" che
permette di saltare automaticamente le
porzioni di schermo vuote. Questa
modalit viene attivata battendo il
tasto "F6". Se ora ripetiamo la proce-
dura di lettura appena descritta, si
noter che, finita la lettura di un
file, inizia subito quella del file
successivo, senza la presenza di zone
vuote. Per disattivare la modalit
"testo compresso", battere di nuovo
"F6".

Se ora battiamo un nuovo comando sulla
tastiera del PC, la riga Braille si
riporter automaticamente sulla
posizione del cursore video.

                             Pagina 30


5. Concetti generali

Nel capitolo successivo passeremo
all'analisi completa e dettagliata di
tutte le funzioni attualmente disponi-
bile in MB408S. Prima  per
necessario descrivere alcuni concetti
generali utili per una migliore
comprensione delle funzioni e del
comportamento del terminale Braille.

5.1 La struttura video del PC

Lo schermo del PC in modo testo 
organizzato come un insieme di
caratteri di 40 colonne per 25 righe
oppure di 80 colonne per 25 righe;
quest'ultimo modo  di gran lunga il
pi utilizzato dai programmi
applicativi. Questi due modi testo
sono standard e quindi presenti nella
maggior parte delle schede video
disponibili per il PC.

Alcune schede mettono a disposizione
modi testo in cui viene aumentato il

                             Pagina 31


numero di righe disponibili (per
esempio 43 oppure 50 righe); questi
modi vengono usati raramente dai
programmi in quanto, dovendo ridurre
la dimensione del carattere sullo
schermo, se ne rende pi faticosa la
lettura. MB408S gestisce solo i due
modi standard definiti prima.

Tutte le schede video prevedono anche
varie modalit grafiche in cui lo
schermo viene diviso in un certo
numero di punti (per esempio 640 per
480 punti nella scheda VGA); questi
modi grafici non possono essere
gestiti da MB408S in quanto nella
memoria del PC non viene tenuta
traccia degli eventuali caratteri
scritti sullo schermo, ma solo dei
punti attivati o disattivati.

Tornando ai modi testo standard,
bisogna notare che ad ogni carattere
viene associato un attributo che
specifica il colore del carattere, il

                             Pagina 32


colore del suo sfondo e il fatto che
il carattere lampeggi o meno.

Su alcune schede monocromatiche, per
esempio la scheda Hercules,
l'attributo non riporta ovviamente
informazioni sul colore, in quanto
sono disponibili solo il bianco e il
nero; piuttosto l'attributo viene
utilizzato per indicare se il
carattere  in Hi-light (cio in alta
luminosit) oppure sottolineato.

Su alcune schede a colori viene
sacrificata la possibilit di avere
caratteri lampeggianti a favore di un
maggior numero di colori di sfondo.

I modi testo prevedono anche la
gestione di pi pagine, in genere 4
oppure 8, in funzione del tipo di
scheda video. A ciascuna pagina 
associato un cursore video che viene
rappresentato da un trattino
lampeggiante la cui forma pu essere
modificata dai programmi, fino a

                             Pagina 33


essere reso invisibile sullo schermo.
La maggior parte dei programmi si
limita ad utilizzare solo la prima
delle pagine video disponibili,
chiamata pagina 0.

Una differenza essenziale tra schede a
colori e schede monocromatiche, a
parte quella ovvia di potere o meno
rappresentare caratteri colorati, 
legata alla differente porzione di
memoria del PC utilizzata come
"memoria video", in cui vengono
scritti tutti i caratteri attualmente
presenti sul video con i relativi
attributi. E' evidente che il
terminale Braille deve sapere dove
risiede la "memoria video" per potere
leggere correttamente ci che appare
sullo schermo.

In generale, un qualsiasi programma
applicativo pu ottenere tutte le
informazioni necessarie relative al
sistema video del PC interrogando il
BIOS. Questo  un programma residente

                             Pagina 34


in tutti i PC che provvede alla
gestione di base delle unit
periferiche standard. Anche MB408S
ricorre al BIOS per ottenere le
informazioni necessarie. In alcuni
casi, per la verit molto rari, pu
accadere che un programma applicativo
attivo sul PC falsi alcune delle
informazioni riportate attraverso
l'interrogazione del BIOS.

Il programma residente di interfaccia
Braille mb408s.exe  in grado di
individuare automaticamente il tipo di
scheda video presente (colore oppure
monocromatica), il modo testo attivo
(40x25 oppure 80x25), il numero della
pagina video selezionata, la posizione
e la forma del cursore video.

Viene anche riconosciuto
automaticamente se  attiva una
modalit grafica e in tal caso il
terminale si limita ad indicare "Modo
grafico attivo" per impedire la
scrittura di caratteri senza senso. La

                             Pagina 35


riga Braille torna attiva non appena
viene riconosciuto un modo testo.

Alcune schede video possono essere
configurate via software come di tipo
colore oppure monocromatico. Anche
questa transizione "soft" del tipo di
scheda video viene gestita
correttamente da MB408S.

Un'ultima nota per concludere: il tipo
di scheda video, colore oppure
monocromatica,  una caratteristica
intrinseca della scheda stessa e non 
in alcun modo legato al tipo di
monitor ad essa collegato. Una scheda
"Hercules"  monocromatica, le schede
"CGA", "EGA" e "VGA" sono di tipo
colore, anche se ad esse viene
collegato un monitor monocromatico.

5.2 I parametri di installazione

Come gi detto in precedenza, prima di
attivare il collegamento tra il
terminale Braille e il PC,  neces-

                             Pagina 36


sario caricare su quest'ultimo il
programma di interfaccia Braille,
denominato mb408s.exe (oppure
mb408s_e.exe per la versione inglese).
Si tratta di un programma residente
nella memoria del PC, che occupa uno
spazio di circa 32 Kb e che provvede
alla lettura dello schermo del PC e
alla comunicazione con MB408S.

Se non viene specificato alcun
parametro sulla linea comandi del DOS
al momento dell'installazione, il pro-
gramma si configura nel modo seguente:

- La selezione del tipo di scheda
video (colore o monocromatica) viene
fatta automaticamente attraverso il
BIOS.

- La posizione del cursore video viene
letta attraverso il BIOS.

- Viene utilizzata la prima porta
seriale tra quelle individuate sul PC.

                             Pagina 37


Per esempio, su un PC con due porte
viene utilizzata COM1.

E' possibile modificare questa
configurazione specificando opportuni
parametri sulla linea comandi al
momento dell'installazione, in
particolare abbiamo:

/M : impone che la scheda video sia di
tipo monocromatico.

/C : impone che la scheda video sia di
tipo colore.

/X : effettua la lettura della
posizione del cursore video
direttamente dal controller della
scheda video piuttosto che attraverso
il BIOS.

Queste 3 opzioni permettono di
risolvere i problemi derivanti da
errate informazioni fornite dal BIOS,
per il motivo cui si accennava al
paragrafo precedente.

                             Pagina 38


/1, /2, /3, /4: indica di utilizzare
la porta seriale indicata,
rispettivamente COM1, COM2, COM3
oppure COM4.

Altri parametri specificabili sono:

/B,ind,int : definisce la porta
seriale da utilizzare per la
comunicazione. Questo parametro si
deve usare in alternativa al parametro
precedente quando si utilizza una
porta seriale non standard. Il
parametro "ind"  l'indirizzo base
della porta seriale, mentre "int" 
l'interrupt associato alla porta
seriale. Si possono specificare i due
valori sia in decimale che in
esadecimale, facendo precedere il
numero dal simbolo "$" in quest'ultimo
caso. Consultare la documentazione
relativa alla propria scheda seriale
per individuare i valori da
specificare. Vediamo alcuni esempi :

                             Pagina 39


/B,$03F8,4  specifica i valori
standard per la COM1

/B,$02F8,3  specifica i valori
standard per la COM2

/Q : per terminare l'esecuzione del
programma e rimuoverlo dalla memoria
del PC.

/H : per visualizzare una breve lista
di questi parametri.

Si tenga presente che i parametri
possono essere indicati
indifferentemente in maiuscolo o
minuscolo; inoltre  possibile
specificare pi parametri
contemporaneamente.

I parametri di configurazione possono
essere indicati solo al momento
dell'installazione, quindi per modifi-
carli  prima necessario scaricare il
programma con il parametro /Q.

                             Pagina 40


5.3 La codifica dei tasti

Nella descrizione delle funzioni si
utilizzer la seguente convenzione per
indicare i tasti e le loro com-
binazioni:

F1-F0 : sono i 10 tasti sul lato
sinistro della riga Braille.

F1  in alto a sinistra sulla prima
colonna, F5 in basso a sinistra sulla
stessa colonna, F6 in alto a destra
sulla seconda colonna e F0 in basso a
destra. Si noti che F0  il decimo e
ultimo tasto del gruppo che, per
comodit di rappresentazione, si 
preferito indicare con F0 piuttosto
che con F10.

I 7 tasti rimanenti nella parte
anteriore di MB408S sono, da sinistra
a destra:

Tasto di SHIFT.

                             Pagina 41


LF : tasto freccia a sinistra.

Tasto di SHIFT.

UP : tasto freccia in alto.

DN : tasto freccia in basso.

Tasto di SHIFT.

RG : tasto freccia a destra.



Notare che tutti i tasti di SHIFT sono
funzionalmente identici.

Vengono utilizzati 3 prefissi per
indicare le combinazioni dei tasti:

S = SHIFT, tasto battuto insieme ad un
tasto di SHIFT.

L = LONG, tasto battuto per almeno 2
secondi. MB408S lo riconosce emettendo

                             Pagina 42


un doppio "beep" (vedi il paragrafo
seguente).

SL = SHIFT LONG, combinazione dei due
precedenti.

Quindi ad ogni tasto sono associate 4
combinazioni, per esempio potremo
avere F1, S-F1, L-F1 e SL-F1.

I 4 tasti freccia, battuti da soli,
hanno l'auto-ripetizione che si attiva
dopo circa un secondo di pressione. Il
tasto F0  normalmente usato come
tasto di uscita da una funzione o da
un messaggio di errore; quando per
questo tasto  gi utilizzato
all'interno della funzione, si
utilizza al suo posto il tasto L-F0
per uscire dalla funzione.

5.4 Le segnalazioni acustiche

Alla pressione di un tasto viene
associato un singolo "beep" di breve
durata; se la pressione si prolunga

                             Pagina 43


per circa 2 secondi, MB408S risponde
con due "beep" ben spaziati per
indicare che  stata riconosciuta una
combinazione LONG. Tutte le
segnalazioni di errore vengono
indicate con 3 "beep" in rapida
successione.

Con una funzione di MB408S  possibile
disattivare le segnalazioni acustiche;
restano comunque attive le
segnalazioni relative agli errori e
alle combinazioni LONG.

5.5 Il codice di revisione software

Il software fornito pu venire
aggiornato nel tempo, per cui 
necessario utilizzare un codice per
indicare la revisione corrente. Il
codice adottato  un numero di tre
cifre nella forma "n.nn". Al momento
della stesura di questo manuale la
revisione software  :

                             Pagina 44


1.00 per il software sul terminale
MB408S.
1.00 per mb408s.exe (programma
residente sul PC).
1.00 per mbcom.exe (programma di
utilit sul PC).

5.6 La codifica dei punti Braille

Gli 8 punti del carattere Braille
vengono per convenzione numerati come
segue:

punto 1 : in alto a sinistra.

punto 2 : sotto al punto 1.

punto 3 : sotto al punto 2.

punto 4 : in alto a destra.

punto 5 : sotto al punto 4.

punto 6 : sotto al punto 5.

punto 7 : in basso a sinistra.

                             Pagina 45


punto 8 : in basso a destra.

Per indicare la codifica relativa ad
un carattere si specificano i punti
attivati separati dal segno ":" (due
punti). Per esempio la lettera "M"
maiuscola viene specificata come:
1:3:4:7.

5.7 Limitazione del modulo LCD

Il modulo a cristalli liquidi (display
LCD) riporta sempre in nero il
contenuto dei 40 caratteri sulla riga
Braille. Bisogna per notare che non
tutti i caratteri dello standard ASCII
IBM sono rappresentabili sul display;
in questo caso il carattere viene
indicato con un punto nel centro dello
spazio ad esso riservato.

5.8 I caratteri di controllo

Sulla sinistra dei 40 caratteri del
modulo Braille sono presenti due
caratteri di controllo che normalmente

                             Pagina 46


riportano le coordinate del primo
carattere della finestra Braille. Si
noti che i caratteri di controllo sono
separati dai caratteri di lettura da
una cella vuota.

Per quanto riguarda la convenzione
utilizzata per indicare le coordinate
sullo schermo e con riferimento al
modo testo 80x25, vale quanto segue:

- Il carattere in alto a sinistra 
alla riga 1, colonna 1.

- Il carattere in alto a destra  alla
riga 1, colonna 80.

- Il carattere in basso a sinistra 
alla riga 25, colonna 1.

- Il carattere in basso a destra 
alla riga 25, colonna 80.

Per potere indicare 4 numeri (riga e
colonna) con due caratteri si 
ovviamente dovuto ricorrere ad una

                             Pagina 47


codifica particolare: ogni carattere
viene diviso in due sezioni, i 4 punti
superiori e i 4 punti inferiori. In
ogni semi-carattere viene
rappresentato un numero; nei due semi-
caratteri superiori viene indicata la
riga e in quelli inferiori la colonna.

La codifica utilizzata per
rappresentare un numero in un semi-
carattere  la seguente:

Numero     In alto     In basso

0           2:4:5       7:6:8
1           1           3
2           1:2         3:7
3           1:4         3:6
4           1:4:5       3:6:8
5           1:5         3:8
6           1:2:4       3:7:6
7           1:2:4:5     3:7:6:8
8           1:2:5       3:7:8
9           2:4         7:6

                             Pagina 48


I caratteri di controllo vengono
utilizzati anche per altre
indicazioni. Battendo un tasto di
SHIFT, i due caratteri riportano la
posizione del cursore sul video,
utilizzando sempre la codifica appena
descritta. Quando il tasto viene
rilasciato, si ritorna all'indicazione
della posizione della finestra Braille
di MB408S.

Inoltre, in diversi comandi di
attivazione e disattivazione di
funzioni, i due caratteri di controllo
vengono utilizzati momentaneamente per
indicare lo stato della funzione; ci
verr descritto in dettaglio nel
prossimo capitolo.

                             Pagina 49


6. Le funzioni di MB408S

All'accensione, MB408S effettua un
controllo dell'hardware e
sull'integrit del codice caricato e,
se non vengono riscontrati errori,
lancia il programma di gestione e
riporta sulla riga Braille la revi-
sione di software attualmente presente
e il numero di protocollo attivo.

Se il controllo non fornisce un esito
positivo, viene riportata una
segnalazione di errore; in tal caso
procedere come indicato pi avanti,
nell'appendice 3.

Per accedere al menu delle funzioni di
servizio bisogna premere e rilasciare
il tasto F1 durante la prima fase di
accensione di MB408S, quando sul
display appare la scritta "MB408S BIOS
vn.nn".

Le Funzioni di Servizio vengono
attivate battendo uno dei tasti F1-F0

                             Pagina 50


e permettono di controllare l'hardware
di MB408S, di modificare il Font di
caratteri Braille definibile
dall'utente, di cambiare la lingua dei
messaggi ed altro. Nel prossimo
capitolo verranno descritte in
dettaglio tutte le Funzioni di
Servizio.

E' comunque possibile vedere la lista
di queste funzioni battendo i tasti
freccia per spostarsi avanti e
indietro.

MB408S inizia la lettura, posizionando
la finestra Braille all'inizio dello
schermo; se  attiva la funzione di
aggancio automatico con il cursore, il
terminale si porta subito sulla
posizione del cursore video. Ora
passeremo alla descrizione dettagliata
di tutte le funzioni disponibili; in
appendice vengono riportate due liste
riassuntive delle funzioni, una
ordinata per tipo di funzione

                             Pagina 51


(appendice 1) e una in ordine di tasto
(appendice 2).

Nei paragrafi seguenti, la riga
Braille di MB408S verr indicata con
il termine "display Braille" o anche
semplicemente "display"; ci per
evitare una possibile confusione tra
"riga Braille" e "riga sullo schermo".

Inoltre, con la frase "battere un
tasto qualsiasi", si intende la
pressione e il rilascio di un tasto ad
esclusione di quelli di SHIFT.

6.1 Gli spostamenti di base

Gli spostamenti di base del display
Braille  vengono effettuati
utilizzando i 4 tasti freccia, in
particolare abbiamo:

UP = si sposta di una riga in alto.

DN = si sposta di una riga in basso.

                             Pagina 52


LF = si sposta di 40 caratteri a
sinistra oppure indietro fino al testo
precedente, se  attiva la modalit
"testo compresso".

RG = si sposta di 40 caratteri a
destra oppure in avanti fino al testo
successivo, se  attiva la modalit
"testo compresso".

La modalit "testo compresso" viene
descritta pi avanti (par. 6.3) e
viene attivata con la funzione F6. I
tasti LF e RG possono anche effettuare
spostamenti avanti e indietro di 36
caratteri alla volta piuttosto che 40,
ci in relazione allo stato della
funzione S-F5 (par. 6.9).

S-UP = tabulazione verticale in alto.

S-DN = tabulazione verticale in basso.

Per tabulazione verticale si intende
uno spostamento di pi righe in una
sola volta; normalmente l'ampiezza di

                             Pagina 53


questo salto  di 4 righe ma pu
essere modificata con la funzione L-F8
(par. 6.5).

6.2 Altre funzioni di spostamento

F1 = vai all'inizio della prima riga
della finestra attualmente definita.

S-F1 = vai al primo testo presente
all'interno della finestra definita.

F2 = vai all'inizio dell'ultima riga
della finestra.

S-F2 = vai all'ultimo testo presente
all'interno della finestra.

F4 = spostati sulla posizione del
cursore. Questa funzione opera
indipendentemente da quella di
aggancio automatico del cursore
(funzione F5, par. 6.4).

Si tenga presente che tutte le
funzioni di spostamento sono relative

                             Pagina 54


alla finestra definita e non
permettono in alcun modo di uscire da
questa. La definizione delle finestre
verr descritta nel paragrafo 6.7.

Inoltre, lo spostamento del display
avanti e indietro con i tasti LF e RG
permette anche di passare da una riga
alla successiva (o alla precedente) ma
senza mai spezzare il display sul
contenuto di due righe successive.

Nello spostamento su una riga vengono
sempre raggiunte le due posizioni
estreme, cio quelle in cui il primo
carattere del display coincide con il
bordo sinistro della finestra e
l'ultimo carattere del display coin-
cide con il bordo destro.

Vediamo qualche esempio considerando
la riga lunga 80 caratteri. Nel caso
di avanzamento normale a passi di 40
caratteri, le posizioni del display
sulla riga, spostandosi con il tasto
RG e partendo da inizio riga, saranno:

                             Pagina 55


Colonna 1 (estremo sinistro), 41
(estremo destro).

Nel caso di passo di 36 caratteri,
avremo invece:

Colonna 1 (estremo sinistro), 37, 41
(estremo destro).

Come si vede, l'ultimo avanzamento non
 stato di 36 caratteri, ma di 4, per
poter raggiungere la posizione
estrema.

In tutti e due i casi, battendo il
tasto RG con il display sull'estremo
destro, ci si sposta sulla colonna 1
della riga successiva.

Vi sono poi delle funzioni che
permettono di far scorrere il display
a destra o a sinistra a passi di un
carattere:

F3 = scorrimento del display a
sinistra di un carattere.

                             Pagina 56


F8 = scorrimento del display a destra
di un carattere.

SL-F3 = annulla lo scorrimento dei
caratteri.

E' possibile far scorrere i caratteri
fino a quando si raggiunge una delle
posizioni estreme. Anche in questo
caso vale la regola del raggiungimento
delle posizioni estreme, vediamo un
esempio.

Riga di 80 caratteri, spostamento
normale a passo 40 caratteri,
scorrimento di 3 caratteri a destra;
le posizioni del display saranno:

Colonna 1 (estremo sinistro), 4, 41
(estremo destro).

6.3 La modalit "Testo Compresso"

Per spostamento in "testo compresso"
si intende uno spostamento in avanti
(o indietro) saltando le zone che

                             Pagina 57


contengono solo spazi ed eventualmente
caratteri semigrafici. Questa funzione
 molto utile in fase di lettura dello
schermo per saltare righe parzialmente
o totalmente vuote.

F6 = attiva/disattiva la modalit
"testo compresso". I caratteri di
controllo riportano rispettivamente T+
e T-.

Spesso i programmi applicativi usano
mettere in evidenza certe porzioni
dello schermo disegnando cornici con i
caratteri semigrafici disponibili nel
set ASCII IBM. Per evitare di fermarsi
inutilmente quando si incontrano
questi caratteri, la modalit "testo
compresso" prevede una funzione con
cui  possibile ignorare anche i
caratteri semigrafici, oltre gli
spazi.

L-F1 = attiva/disattiva il filtro
caratteri semigrafici. Indica se i
caratteri semigrafici (codice ASCII da

                             Pagina 58


176 a 255) vanno saltati o meno quando
 attiva la modalit "testo
compresso". I caratteri di controllo
riportano rispettivamente G- e G+.

6.4 La gestione del cursore

Il cursore video  un elemento
fondamentale dello schermo; esso di
solito indica la posizione in cui ver-
ranno scritti i prossimi caratteri
battuti sulla tastiera del PC.
Solitamente, sullo schermo, il cursore
appare come un trattino lampeggiante
posto sotto al carattere su cui 
posizionato. Comunque i programmi
applicativi possono modificarne la
forma, fino a trasformarlo in un
rettangolino lampeggiante sovrapposto
al carattere.

MB408S permette di visualizzare o meno
il cursore video e, nel primo caso,
permette anche di selezionare la
rappresentazione del cursore sul
display.

                             Pagina 59


L-F5 = attiva/disattiva la
visualizzazione del cursore. I
caratteri di controllo riportano
rispettivamente C+ e C-.

S-F4 = seleziona il tipo di cursore, a
carattere pieno o a trattino. I
caratteri di controllo riportano C se-
guito dalla forma del cursore
selezionato.

Il cursore a carattere pieno utilizza
tutti gli 8 punti per indicare la
posizione del cursore video;  facile
da individuare ma copre il carattere
su cui  posizionato. Il cursore a
trattino utilizza solo i punti 7 e 8 e
quindi copre solo una parte, spesso
non essenziale, del carattere Braille.
Per esempio, con le lettere si perde
solo l'informazione relativa al fatto
che queste siano maiuscole o
minuscole.

Si tenga comunque presente che
battendo un tasto SHIFT da solo, il

                             Pagina 60


carattere cursore viene
momentaneamente cancellato dal display
Braille, dando la possibilit di
leggere il carattere sotto di esso.
Inoltre i due caratteri di controllo
riportano le coordinate del cursore.
Appena il tasto SHIFT viene
rilasciato, il cursore riappare e i
caratteri di controllo ritornano ad
indicare le coordinate iniziali del
display Braille.

F5 = attiva/disattiva l'aggancio
automatico con il cursore. I caratteri
di controllo riportano rispettivamente
A+ e A-.

Appena questa funzione viene attivata,
il display viene posizionato in modo
tale da contenere il cursore video.
Questa condizione viene mantenuta con
opportuni movimenti del display anche
quando il cursore viene spostato.

La funzione S-F5 (vedi par. 6.9) anche
in questo caso determina se

                             Pagina 61


l'avanzamento automatico del display
avviene a passi di 36 oppure di 40
caratteri.

L'aggancio automatico  utile
soprattutto quando si utilizzano
programmi di gestione testi, in quanto
permette al display di visualizzare
sempre gli ultimi caratteri che
l'utente ha battuto sulla tastiera del
PC. Se  attiva una finestra,
l'aggancio automatico  valido solo
finch il cursore video resta dentro
la finestra; ci in accordo alla
regola di non fare mai uscire il
display dalla finestra attiva.

Anche se la funzione di aggancio
automatico  attiva,  possibile
spostare manualmente il display come
descritto in precedenza. Comunque, non
appena il cursore video viene
spostato, il display torna a posizio-
narsi su di esso. Ricordiamo,
comunque, che con la funzione F4 (par.
6.2)  possibile riportare il display

                             Pagina 62


sul cursore, dopo uno spostamento
manuale, senza dover muovere il
cursore video.

SL-F5 = attiva/disattiva il ritardo di
aggancio cursore. I caratteri di
controllo riportano rispettivamente D+
e D-.

Quest'ultima funzione, legata
all'aggancio con il cursore, permette
di attivare o disattivare un breve
ritardo di tempo nell'operazione di
spostamento del display per
agganciarsi alla posizione del cursore
video.

Alcuni programmi di gestione testi
riportano sullo schermo una linea di
stato (di solito la prima o l'ultima)
in cui vengono anche indicate le
coordinate del cursore momento per
momento. Quando viene battuto un
tasto, sul video viene scritto il
carattere corrispondente nella
posizione del cursore; poi il cursore

                             Pagina 63


viene spostato sulla linea di stato
per aggiornare le coordinate ed infine
viene riportato nella posizione
successiva a quella del carattere
appena battuto.

Tutta questa operazione avviene cos
velocemente che difficilmente 
percepibile sullo schermo; per pu
venire avvertita da MB408S che, nel
caso di aggancio automatico attivo,
sposta per un attimo il display sulla
linea di stato. Questo spostamento
indesiderato pu essere eliminato
attivando il ritardo di aggancio con
SL-F5.

6.5 Le tabulazioni

MB408S prevede 3 funzioni per la
gestione delle tabulazioni
orizzontali, utili per la
consultazione di tabelle e tabulati.
Le tabulazioni orizzontali sono
posizioni di colonna predefinite,
valide indipendentemente dalla riga

                             Pagina 64


dello schermo. L'utente pu definire
fino a 10 di queste posizioni e quindi
passare dall'una all'altra con le due
funzioni che seguono.

S-F3 = vai alla tabulazione
orizzontale precedente.

S-F8 = vai alla tabulazione
orizzontale successiva.

Con queste funzioni ci si sposta in
modo ordinato avanti e indietro tra le
tabulazioni attive al momento.
Comunque eventuali tabulazioni fuori
dalla finestra attiva non vengono
considerate.

Per definire le posizioni si utilizza:

L-F3 = definisci le tabulazioni
orizzontali.

Con questo tasto si entra nella
funzione che consente di definire fino
a 10 diverse posizioni di tabulazione.

                             Pagina 65


Sul display viene indicato il numero
della tabulazione selezionata (da 1 a
10) e la posizione corrispondente; se
anzich la colonna di tabulazione
vengono indicati due trattini, allora
la tabulazione non  attiva.

Ci significa che la sua posizione 
ancora memorizzata da MB408S ma non
viene considerata quando si utilizzano
le funzioni di spostamento tabulazione
S-F3 e S-F8.

Con i tasti F1-F0 si seleziona la
tabulazione da impostare; notare che
F0 corrisponde alla decima tabula-
zione.

Con S-F5 si attiva o disattiva la
tabulazione; quando questa  attiva,
si utilizzano i tasti freccia per
impostare la colonna corrispondente
(tra 1 e 41). Con UP e LF si
decrementa il valore della posizione,
con RG e DN si incrementa.

                             Pagina 66


Con S-F0 si riporta la tabulazione in
colonna 1, mentre con S-F1 si riporta
la posizione della prima colonna su
cui  attualmente posizionato il
display, leggibile nella parte
inferiore dei caratteri di controllo.

Uscire dalla funzione con L-F0.

Per definire la tabulazione verticale
(vedi par. 6.1) si utilizza la
funzione:

L-F8 = selezione tabulazione
verticale.

Usare i tasti freccia per modificare
il valore, compreso tra 2 e 24 righe.
Con UP e LF si decrementa il valore,
con RG e DN si incrementa. Uscire
dalla funzione con F0.

6.6 I marker

I marker rappresentano posizioni sullo
schermo su cui il display pu essere

                             Pagina 67


portato con una opportuna funzione.
Essi sono utili per poter raggiungere
velocemente informazioni sullo schermo
di cui  nota la posizione. Ogni
marker  definito da una posizione di
riga e una di colonna. Le funzioni che
provvedono alla loro gestione sono:

F9 = richiama un marker, cio porta il
display alla posizione del marker
selezionato.

Dopo aver battuto questo tasto, i
caratteri di controllo indicano "MK" e
la funzione resta in attesa
dell'indicazione del marker
desiderato; battere quindi uno dei
tasti F1-F0. Eventuali marker fuori
dalla finestra attiva non vengono
considerati.

L-F9 = definizione dei marker.

Si possono definire fino a 10 marker,
selezionabili con i tasti F1-F0;
notare che F0 corrisponde al decimo

                             Pagina 68


marker. Il display riporta il numero
del marker selezionato (da 1 a 10) e
la riga e colonna corrispondenti.

All'interno della funzione sono attivi
i seguenti tasti:

UP = decrementa il valore della riga.

LF = decrementa il valore della
colonna.

RG = incrementa il valore della
colonna.

DN = incrementa il valore della riga.

S-F1 = definisci il marker alle
coordinate attuali del display,
indicate anche sui caratteri di
controllo.

S-F0 = riporta il marker in colonna 1,
riga 1.

L-F0 = esci dalla funzione.

                             Pagina 69


6.7 Le finestre

Le finestre definiscono un'area
rettangolare sullo schermo all'interno
della quale il display pu muoversi,
ma senza poterne uscire. Con il
termine "finestra a schermo pieno" si
intende una finestra la cui dimensione
 pari a quella di tutto lo schermo.

Molti programmi applicativi
definiscono delle finestre (spesso
chiamate anche "window"), delimitate
da cornici, per mettere in evidenza
determinate porzioni dello schermo.

Anche per le finestre abbiamo due
funzioni, una di attivazione e una di
definizione:

F7 = attiva una delle finestre
definite.

Dopo aver battuto questo tasto, i
caratteri di controllo indicano "WN" e
la funzione resta in attesa

                             Pagina 70


dell'indicazione della finestra
desiderata; battere quindi uno dei
tasti F1-F0. Notare che F0 corrisponde
alla decima finestra.

La finestra F7  un po' particolare,
in quanto  predefinita a schermo
pieno e non pu essere modificata
dall'utente. Quindi, battendo F7 due
volte, si riporta sempre la finestra
attiva a schermo pieno.

L-F7 = definizione delle finestre.

Il display riporta (da sinistra verso
destra) il numero della finestra
selezionata, riga e colonna del suo
vertice in alto a sinistra, riga e
colonna del suo vertice in basso a
destra.

Con i tasti F1-F0 si seleziona la
finestra desiderata; si noti che
battendo il tasto F7 il display
riporta il messaggio "Finestra a
schermo pieno" per indicare che la

                             Pagina 71


finestra numero 7  sempre grande come
tutto lo schermo e quindi non pu
essere modificata.

All'interno di questa funzione sono
attivi i seguenti tasti:

S-F5 = seleziona la coppia "RC"
(riga/colonna) da modificare con i
tasti freccia. La coppia pi a
sinistra  relativa al vertice in alto
a sinistra, quella pi a destra al
vertice in basso a destra. Notare che
la coppia selezionata viene indicata
con le lettere "RC" in caratteri
maiuscoli.

UP = decrementa il valore della riga.

LF = decrementa il valore della
colonna.

RG = incrementa il valore della
colonna.

DN = incrementa il valore della riga.

                             Pagina 72


S-F0 = riporta la finestra a schermo
pieno.

L-F0 = esci dalla funzione.

La prima volta che una finestra viene
attivata, il display viene posizionato
nell'angolo in alto a sinistra. Quando
si seleziona una finestra diversa,
MB408S memorizza la posizione del
display all'interno della finestra che
sta per essere abbandonata. In tal
modo, quando questa finestra verr
riattivata, il display potr essere
posizionato nello stesso punto in cui
era.

La definizione automatica delle
finestre.

In alternativa a quanto appena
descritto, dopo aver battuto F7 per
attivare una finestra,  possibile
battere uno dei tasti S-F1 - S-F0
anzich F1-F0. In tal modo MB408S
cerca di determinare automaticamente

                             Pagina 73


se sullo schermo esistono delle
finestre delimitate da cornici.

In caso affermativo, la prima finestra
individuata viene associata al numero
corrispondente al tasto battuto e
subito attivata. La ricerca delle

finestre avviene scansionando lo
schermo in modo progressivo e ciclico.
E' comunque possibile che certe
finestre, delimitate da cornici
particolari, non vengano individuate.

Vediamo per finire un esempio: sullo
schermo sono presenti due finestre
delimitate da cornici. Battendo F7 e
S-F3, si individua la prima finestra
che viene associata alla finestra
numero 3 e subito attivata. Battendo
ora F7 e S-F4, si individua la seconda
finestra che viene associata alla
finestra numero 4 e attivata.

Per riattivare la finestra precedente
battere F7 e quindi F3. Per tornare a
schermo pieno battere F7 due volte.

                             Pagina 74


6.8 La gestione degli attributi testo

Come gi detto in precedenza, ad ogni
carattere sullo schermo  associato un
attributo che ne definisce il colore
ed altre caratteristiche. MB408S
dispone di alcune funzioni che
permettono di visualizzare sul display
l'attributo del carattere, oppure di
mettere in evidenza determinati
attributi definiti dall'utente.

Con riferimento ad una scheda video di
tipo colore, per gli attributi si 
utilizzata la codifica che segue. I
punti 1, 2, 3 e 4 indicano il colore
del carattere, i punti 5, 6 e 7 il
colore del suo sfondo e il punto 8
indica se il carattere  lampeggiante.
Il colore del carattere viene spesso
chiamato "colore di foreground" mentre
quello del suo sfondo "colore di
background".

La codifica per il colore del
carattere  la seguente:

                             Pagina 75


Nero            nessun punto attivo

Blu             1

Verde           2

Azzurro         1:2

Rosso           3

Viola           1:3

Marrone         2:3

Bianco          1:2:3

Grigio scuro    4

Blu intenso     1:4

Verde intenso   2:4

Azzurro intenso 1:2:4

Rosso intenso   3:4

                             Pagina 76


Viola intenso   1:3:4

Giallo          2:3:4

Bianco intenso  1:2:3:4

La codifica per il colore dello sfondo
 la seguente:

Nero            nessun punto attivo

Blu             5

Verde           6

Azzurro         5:6

Rosso           7

Viola           5:7

Marrone         6:7

Bianco          5:6:7

                             Pagina 77


Il punto 8  attivo quando il
carattere  lampeggiante.

Se la scheda video  di tipo
monocromatico (come la scheda
Hercules), allora la codifica valida 
la seguente.

Per il carattere:

Nero            nessun punto attivo

Bianco          1:2:3

Alta intensit  1:2:3:4

Lampeggiante    4

Bianco sottolineato1

Alta int. Sottolineato  1:4

                             Pagina 78


Per lo sfondo:

Nero            nessun punto attivo

Bianco          5:6:7

Alta intensit  5:6:7:8

Lampeggiante    8

Si tenga presente che alcune schede
video possono avere una codifica
differente per gli attributi video.
Per esempio,  possibile che il punto
8 venga utilizzato per avere pi
colori di sfondo, piuttosto che per
indicare se il carattere 
lampeggiante.

Le funzioni relative alla gestione
degli attributi testo sono:

S-F6 = attiva/disattiva
visualizzazione attributi testo dei
caratteri. Permette di visualizzare
sul display l'attributo del carattere

                             Pagina 79


piuttosto che il suo valore.
All'interno di questa modalit, per
facilitare il riconoscimento dei punti
attivi, premendo il tasto "shift"
vengono momentaneamente attivati tutti
i punti, rilasciando il tasto "shift"
ritorna il codice attributo.

L-F6 = attiva/disattiva
visualizzazione attributo selezionato.
Mette in evidenza sul display tutti i
caratteri che hanno un determinato
attributo video, definito dall'utente
attraverso la funzione SL-F6 (vedi
oltre). Questi caratteri vengono
indicati con i punti 7 e 8 attivi. I
caratteri di controllo riportano
rispettivamente V+ e V-.

SL-F6 = selezione attributo caratteri.

Sulla parte destra del display viene
indicato l'attributo testo attualmente
selezionato, racchiuso tra due
caratteri pieni per facilitarne la
lettura. Anche il secondo carattere di

                             Pagina 80


controllo riporta questo attributo,
con la differenza che la sua
rappresentazione non verr modificata
dalla funzione. In tal modo, questo
carattere ricorda all'utente la
configurazione dell'attributo prima di
eventuali modifiche.

Spesso l'attributo selezionato  il
"reverse", cio il colore nero su
sfondo bianco, codificato con i punti
5:6:7.

Sulla parte sinistra del display viene
indicata la scritta "Selezione
attributo". All'interno della funzione
sono attivi i seguenti tasti:

F1-F4 e F6-F9 = attiva/disattiva il
punto Braille corrispondente, come
posizione, sull'attributo.

F5 = attiva tutti gli 8 punti
dell'attributo.

                             Pagina 81


F0 = disattiva tutti gli 8 punti
dell'attributo.

S-F5 = indica i colori corrispondenti
al codice attributo selezionato. Il
primo colore  relativo al testo
(foreground), il secondo al suo sfondo
(background). Il segno "+" dopo un
colore indica che questo  ad alta
intensit. Se il carattere 
lampeggiante, viene aggiunta
l'indicazione "LAM". Battere un tasto
qualsiasi per cancellare l'indicazione
del colore.

L-F0 = esci dalla funzione.

6.9 Altre funzioni di MB408S

L-F0= selezione del protocollo di
comunicazione, i caratteri di
controllo riportano SP. Questa
funzione permette di selezionare il
protocollo di comunicazione tra il
display braille e il programma
residente sul PC. Il protocollo di

                             Pagina 82


default  il numero 1 e, quando si
utilizza il programma mb408s.exe,
bisogna selezionare questo protocollo.

I protocolli selezionabili sono 10 ma
al momento della stesura del manuale 
attivo solo il protocollo 1.
Consultare il file "leggimi.doc" per
informazioni sul funzionamento del
display con protocolli diversi dal
numero 1.

All'interno di questa funzione sono
attivi i seguenti tasti :

-RG/DN = avanti nella lista.
-LF/UP = indietro nella lista.
-F1..F0 =  selezione protocollo 1..10.
-L-F0 = esce dalla funzione attivando
il protocollo selezionato.
-L-F5 = esce dalla funzione senza
attivare il protocollo selezionato.

Nel caso venga attivato un protocollo
diverso da quello precedentemente

                             Pagina 83


attivo, viene effettuato un reset
automatico del display.

SL-F0= help on-line. Selezionando
questa funzione, alla pressione dei
tasti funzione nelle loro quattro
combinazioni, viene visualizzata una
breve descrizione della funzione
eseguita. All'interno di questa
modalit non  possibile esplorare lo
schermo. In modalit visualizzazione
help sono attivi i seguenti tasti:

LF = indietro di 40 caratteri.
RG = avanti di 40 caratteri.
UP = prima riga della funzione
precedente.
DN = prima riga della funzione
successiva.
S-LF = prima riga della funzione
attuale.
S-RG = ultima riga della funzione
attuale.
S-UP = prima riga della prima
funzione.
S-DN = ultima riga dell'ultima

                             Pagina 84


funzione.
F1-SL-FO = help funzione relativa al
tasto premuto.
F0 = esce dalla funzione.


L-F2 = seleziona il Font Braille
attivo, i caratteri di controllo
riportano SF. Questa funzione permette
di selezionare il font braille fra 11
font fissi e un font definito
dall'utente. Con i tasti RG/DN si
avanza nella lista, con LF/UP si
indietreggia nella lista. Per uscire
dalla funzione premere il tasto F0

S-F5 = seleziona avanzamento a passi
di 40 oppure di 36 caratteri. I
caratteri di controllo riportano A3
(36 caratteri) oppure A4 (40
caratteri).

Questa funzione viene utilizzata anche
nel caso di aggancio automatico con il
cursore video (vedi par. 6.4). Il
vantaggio dell'avanzamento a passo 36

                             Pagina 85


 che il cursore non raggiunge mai le
posizioni estreme del display,
permettendo quindi di vedere sempre i
caratteri che stanno prima e dopo; ci
risulta particolarmente comodo quando
si utilizzano programmi di elabora-
zione testi.

SL-F8 = attiva/disattiva la
segnalazione acustica associata alla
pressione di un tasto. I caratteri di
controllo indicano rispettivamente S+
e S-. Le segnalazioni relative agli
errori e alla pressione "lunga" di un
tasto restano comunque attivate,
indipendentemente dallo stato di
questa funzione.

S-F9 = attiva/disattiva i punti 7 e 8
del font Braille. Questa funzione 
relativa solo al testo letto sullo
schermo e non  attiva sui caratteri
di controllo, nell'indicazione degli
attributi video e nei messaggi
prodotti da MB408S. I caratteri di
controllo riportano rispettivamente B8

                             Pagina 86


e B6. La possibilit di lavorare con
il Braille classico a 6 punti rende
pi agevole l'utilizzo del terminale a
quei nuovi utenti non ancora abituati
al Braille esteso a 8 punti.

SL-F9 = riporta alcune informazioni
relative alla configurazione video
attuale, ottenute dal BIOS del PC.
Queste sono:

-Modo video attualmente attivo.

-Pagina di testo selezionata.

-Forma del cursore definita attraverso
la prima e l'ultima linea di
scansione.

Tutte queste informazioni sono legate
al tipo di scheda video utilizzata e,
in generale, sono di interesse solo
per l'utente che si dedica alla
programmazione del PC.

                             Pagina 87


Utilizzare i tasti freccia per
spostarsi nella lista delle
informazioni, uscire dalla funzione
con F0.

SL-F1 = reset totale dei parametri di
MB408S. I caratteri di controllo
indicano RT.

I parametri di MB408S vengono
selezionati come segue:

- tabulazione verticale di ampiezza 4
righe.
- filtro caratteri semigrafici attivo
- font "EURO437" attivo
- cursore visibile
- forma del cursore a "carattere
pieno"
- aggancio automatico cursore
disattivato
- spostamento orizzontale a passi di
40 caratteri
- ritardo aggancio cursore disattivato
- attributo testo: reverse (nero su
sfondo bianco)

                             Pagina 88


- visualizzazione attributo testo
disattivata
- modalit testo compresso disattivata
- tabulazioni orizzontali tutte in
pos. 1 e disattivate
- marker tutti in riga 1, colonna 1
- finestre tutte riportate a schermo
pieno
- segnalazione acustica attivata
- font Braille a 8 punti.
- soft-cursor disattivato (vedi par.
6.10)
- parametri del soft-cursor come segue
(par. 6.10):

  attributo: reverse (nero su sfondo
  bianco)

  maschera attributo: solo background

  posizione: iniziale

  hard-cursor: ignorato

SL-F2 = reset parziale dei parametri
di MB408S. I caratteri di controllo

                             Pagina 89


riportano RP. Funzione analoga a SL-F1
ma i seguenti parametri non vengono
modificati:

- tabulazione verticale
- tabulazioni orizzontali
- marker
- finestre
- attributo testo
- parametri del soft-cursor

S-F7 = seleziona lo spostamento del
cursore attraverso la simulazione
mouse oppure il cursor routing (vedi
capitolo 6.13 per maggiori
informazioni), i caratteri di
controllo riportano MS oppure CR.

6.10 La gestione del Soft-Cursor

Il cursore di cui si  parlato fino ad
ora  intrinsecamente legato alla
scheda video del PC e per questo
possiamo riferirci ad esso come
"cursore hardware" o, pi brevemente,
come "Hard-Cursor".

                             Pagina 90


Come gi detto in precedenza, il
cursore viene di solito utilizzato dai
programmi per mettere in evidenza la
posizione in cui verr scritto il
prossimo carattere battuto da
tastiera, oppure per indicare una di
varie possibili scelte che l'utente
deve effettuare.

Alcuni programmi applicativi
preferiscono per utilizzare gli
attributi del testo per mettere in
evidenza quanto desiderato; ci
significa cambiare in certe aree dello
schermo il colore del testo e del suo
sfondo. Cos il cursore viene
individuato da un determinato colore
piuttosto che da un trattino
lampeggiante; questo tipo di cursore
viene indicato spesso come "cursore
software" o "Soft-Cursor" e la sua
gestione pu essere completamente
indipendente da quella dell'"Hard-
Cursor".

                             Pagina 91


Infatti accade spesso che il cursore
hardware venga tenuto fermo e
invisibile in un angolo dello schermo
e mai spostato, per cui la sua
posizione  assolutamente non
significativa. Un vantaggio evidente
del Soft-Cursor sta nel fatto che
questo pu venire "esteso" a pi
caratteri adiacenti, mettendo quindi
in evidenza una parola o una frase,
piuttosto che un singolo carattere. Il
Soft-Cursor  infatti usatissimo in
molti programmi come barra di
selezione dei menu.

Alcuni programmi utilizzano entrambi i
tipi di cursore; in particolare
l'Hard-Cursor  attivo quando 
richiesta l'immissione di testo o di
dati, mentre il Soft-Cursor  attivo
solo quando l'utente deve selezionare
una voce in un menu.

A volte capita che la posizione del
cursore hardware venga spostata in
modo da coincidere quasi sempre con

                             Pagina 92


quella del Soft-Cursor, oppure che il
colore associato al cursore software
non sia lo stesso in tutte le funzioni
del programma.

Si vede, quindi, che molte sono le
situazioni che si possono incontrare,
spesso legate al tipo di programma
applicativo e alla filosofia di
progettazione adottata per la suo
realizzazione.

Dal nostro punto di vista, la gestione
del Soft-Cursor risulta essere cosa
ben pi complessa di quella dell'Hard-
Cursor. Infatti, la posizione di
quest'ultimo viene fornita
direttamente dal BIOS del PC o dalla
scheda video, mentre la posizione di
un Soft-Cursor deve venire ricercata
sul video, in base all'attributo testo
ad esso associato.

Per quanto detto prima, risulta
evidente che non sempre l'aggancio
automatico con un Soft-Cursor 

                             Pagina 93


un'operazione semplice e di sicuro
risultato. E' importante fornire
all'utente la possibilit di
modificare alcuni parametri di
configurazione del metodo utilizzato
per la ricerca del Soft-Cursor.

MB408S prevede due funzioni relative
alla gestione del cursore software,
una di attivazione e una di configu-
razione:

SL-F4 = seleziona i parametri relativi
al Soft-Cursor.

Sulla parte destra del display viene
indicato l'attributo testo selezionato
per il Soft-Cursor, racchiuso tra due
caratteri pieni per facilitarne la
lettura.

Anche il secondo carattere di
controllo riporta questo attributo,
con la differenza che la sua
rappresentazione non verr modificata
dalla funzione. In tal modo, questo

                             Pagina 94


carattere ricorda all'utente la
configurazione dell'attributo prima di
eventuali modifiche.

Sulla parte sinistra del display sono
presenti 3 campi, indicati come MS
(maschera dell'attributo), PS
(posizione di aggancio) e HC
(attivazione Hard-Cursor).

Il parametro MS permette di indicare
se l'attributo specificato deve essere
considerato nella sua totalit, oppure
solo nel suo background (il colore
dello sfondo) o solo nel suo
foreground (il colore dei caratteri).

In tal modo  possibile specificare
anche attributi del tipo "caratteri di
colore qualsiasi su sfondo rosso"
oppure "caratteri verdi su sfondo
qualsiasi".

Il parametro PS  utile nel caso il
Soft-Cursor sia "esteso" a pi
caratteri adiacenti e permette di

                             Pagina 95


indicare se deve essere considerato il
primo o l'ultimo di questi caratteri.

Il parametro HC specifica se anche gli
spostamenti del cursore hardware
devono essere considerati oppure com-
pletamente ignorati. Questa opzione 
utile con quei programmi che
utilizzano tutti e due i tipi di
cursore.

All'interno della funzione SL-F4 sono
attivi i seguenti tasti:

F1-F4 e F6-F9 = attiva/disattiva il
punto Braille corrispondente, come
posizione, sull'attributo.

F5 = attiva tutti gli 8 punti
dell'attributo.

F0 = disattiva tutti gli 8 punti
dell'attributo.

S-F1 = modifica il parametro MS con le
seguenti opzioni:

                             Pagina 96


BG = considera solo il background
(colore dello sfondo) dell'attributo.

FG = considera solo il foreground
(colore del testo) dell'attributo.

AT = considera tutto l'attributo.

S-F2 = modifica il parametro PS con le
seguenti opzioni:

IN = soft-cursor sulla posizione
iniziale dell'area individuata (primo
carattere).

FN = soft-cursor sulla posizione
finale dell'area individuata (ultimo
carattere).

S-F3 = modifica il parametro HC con le
seguenti opzioni:

S = si, considera anche gli eventuali
spostamenti dell'hard-cursor.

                             Pagina 97


N = no, ignora completamente gli
spostamenti dell'hard-cursor.

S-F5 = indica i colori corrispondenti
al codice attributo selezionato. Il
primo colore  relativo al testo
(foreground), il secondo al suo sfondo
(background). Il segno "+" dopo un
colore indica che questo  ad alta
intensit. Se il carattere 
lampeggiante, viene aggiunta
l'indicazione "LAM". Battere un tasto
qualsiasi per cancellare l'indicazione
del colore.

S-F4 = permette di specificare la
prima e ultima riga della schermo
all'interno delle quali effettuare la
ricerca. Utilizzare i tasti UP e DN
per decrementare e incrementare la
riga iniziale. Utilizzare i tasti LF e
DN per decrementare e incrementare la
riga finale. Il limitare la zona di
ricerca, pu evitare agganci a zone
non desiderate. Per uscire battere
ancora S-F4.

                             Pagina 98


L-F6,
L-F7,
L-F8 = permettono di salvare 3 diverse
configurazioni di parametri relativi
al Soft-Cursor.

S-F6,
S-F7,
S-F8 = richiamano una delle
configurazioni precedentemente
memorizzate.

L-F0 = esci dalla funzione.

Per la codifica degli attributi testo
si faccia riferimento al paragrafo
6.8.

Per selezionare il tipo di cursore si
utilizza la funzione:

L-F4 = seleziona l'Hard-Cursor oppure
il Soft-Cursor. I caratteri di
controllo riportano rispettivamente HC
e SC.

                             Pagina 99


Le altre funzioni relative alla
gestione del cursore (vedi par. 6.4)
restano valide anche con il Soft-
Cursor.

Quando  attivo l'aggancio automatico
e sullo schermo non appare l'attributo
testo relativo al cursore software,
MB408S si aggancia al cursore
hardware.

Si tenga infine presente che il
programma che gestisce la ricerca del
Soft-Cursor  piuttosto complesso e
assorbe una frazione rilevante della
potenza di elaborazione del PC. Si
consiglia quindi di selezionare il
cursore software solo quando
effettivamente necessario.

6.11 Le funzioni non definite

Attualmente non sono definite le
seguenti funzioni:

SL-F7, F0, S-F0.

                            Pagina 100


Alla pressione di queste combinazioni
MB408S produce una segnalazione di
errore.

6.12 La memorizzazione dei parametri

Non  necessaria alcuna operazione
particolare per memorizzare lo stato
delle funzioni che abbiamo visto in
questo capitolo; in pratica i
parametri vengono memorizzati non
appena impostati e il loro valore
viene mantenuto anche quando MB408S
viene spento. Solo pochissime funzioni
fanno eccezione a questa regola e in
particolare abbiamo:

- Scorrimento di un carattere, vedi
funzioni F3, F8, SL-F3 al paragrafo
6.2. All'accensione del terminale lo
scorrimento viene sempre annullato.

- Selezione cursore hardware/software,
vedi funzione L-F4 al paragrafo 6.10.
All'accensione  sempre selezionato il
cursore hardware.

                            Pagina 101


6.13 Utilizzo del pulsante sui
caratteri Braille

I pulsanti posti sopra ad ogni
carattere Braille vengono utilizzati
per tentare di portare il cursore
nell'esatta posizione indicata. Questa
funzione risulta particolarmente utile
per esempio nella revisione di un
testo, quando si riscontra un errore
di battitura. Premendo il tasto
corrispondente al carattere desiderato
si porter il cursore esattamente sul
carattere e quindi si potr effettuare
la correzione.

Lo spostamento del cursore avviene in
due diversi modi. Se si  selezionato
con la funzione S-F7 il "cursor
routing", viene simulata la pressione
di tanti tasti freccia quanti ne sono
necessari a raggiungere la posizione
indicata. Il successo del
posizionamento del cursore con questa
procedura non  comunque garantito al
100% in quanto dipende molto dal tipo

                            Pagina 102


di applicativo usato; comunque questa
funzione si comporta correttamente con
molti text editor o word processor.

Se invece si  selezionata la
"simulazione mouse" viene simulata la
pressione del tasto di sinistra del
mouse nella posizione indicata. Questo
metodo dovrebbe essere pi sicuro e
veloce del precedente. Di seguito
riportiamo alcune note sull'utilizzo
del mouse.

Che cos' il MOUSE

Il mouse  uno strumento di semplice
uso che viene collegato al PC per
eseguire molte operazioni in modo
rapido ed efficace. Si tratta di un
apparecchietto dotato di due o tre
pulsanti che viene impugnato e fatto
scorrere sul tavolo, di solito a lato
della tastiera del PC. A questo
scorrimento corrisponde sullo schermo
lo spostamento di un apposito cursore,
detto cursore del mouse, di solito

                            Pagina 103


individuato da un rettangolino
colorato o da una piccola freccia.

Lo spostamento del cursore del mouse
sullo schermo permette di selezionare
le opzioni desiderate o di svolgere
operazioni all'interno di un programma
di elaborazione testi, di un database,
di un foglio elettronico, ecc...

Il mouse va guidato manualmente
attraverso lo schermo fino al punto
desiderato, premendo quindi uno dei
pulsanti (click) per eseguire la fun-
zione voluta. Questa operazione 
stata fino ad oggi assolutamente
impossibile per un non vedente che
quindi si  dovuto privare della
funzionalit di uno strumento tanto
efficace e sempre pi utilizzato per
la gestione di programmi d'ogni tipo.

Con le funzioni "mouse" ottenute
tramite i pulsanti montati sui
caratteri braille, un'altra forte
limitazione  stata finalmente vinta.

                            Pagina 104


Si aprono nuove prospettive d'impiego
di strumenti informatici per le
persone colpite da minorazione visiva
che potranno trarre vantaggio, al pari
di tutti gli altri, dall'uso di un
metodo alternativo di esecuzione delle
funzioni. Il rivoluzionario sistema
offre la massima semplicit operativa
e consente la simulazione del mouse,
spostando la riga braille sull'area di
schermo desiderata e premendo quindi
il pulsante del carattere braille sul
quale si vuole produrre il click.

L'uso del MOUSE nei programmi

E' necessario illustrare ora come in
generale viene utilizzato il mouse
all'interno dei programmi applicativi,
per comprendere poi meglio le varie
modalit di funzionamento messe a
disposizione dalla funzione di si-
mulazione mouse. Negli esempi che
seguiranno verr sempre considerato un
mouse con due pulsanti, conforme allo
standard Microsoft; sebbene esistano

                            Pagina 105


mouse con tre pulsanti, sono molto
pochi i programmi che utilizzano il
terzo pulsante e comunque di solito
questo gestisce funzioni poco
frequenti.

Dei due pulsanti, il sinistro e il
destro, quello di gran lunga pi
importante  il sinistro; tutti i
programmi che prevedono l'uso del
mouse utilizzano sicuramente il
pulsante di sinistra per le funzioni
principali. Al pulsante di destra
vengono di solito associate funzioni
secondarie e certi programmi non lo
utilizzano nemmeno.

L'atto di premere un pulsante del
mouse viene di solito chiamato
"click". A volte, con il pulsante
sinistro,  anche permessa
l'operazione di "doppio click", cio
la pressione del pulsante due volte in
rapida successione. Al doppio click,
quando previsto,  ovviamente
associata una funzione diversa dal

                            Pagina 106


click semplice. Il doppio click con il
pulsante di destra non  praticamente
mai utilizzato.

Vediamo un esempio con riferimento ad
un programma abbastanza comune: il
"Norton Commander". Con il click
semplice all'interno di un pannello si
sposta la barra di selezione sul file
indicato. Con il doppio click il file
viene anche eseguito se ovviamente 
di tipo eseguibile, cio se ha
estensione .com, .exe oppure .bat. In
questo caso, quindi, il doppio click
corrisponde all'operazione di scrivere
il nome del programma da eseguire e
battere il tasto ENTER. Il click del
pulsante destro viene utilizzato per
marcare un file da utilizzare in un
comando successivo (copia,
cancellazione, spostamento, ecc..).

Vediamo un'ultima operazione molto
comune con il mouse, soprattutto nei
programmi di editing ed elaborazione

                            Pagina 107


testi: il "drag". Per "drag" si in-
tende questa sequenza di operazioni:

- Portare il cursore del mouse in una
prima posizione dello schermo e
premere il pulsante sinistro.

- Spostare il cursore muovendo il
mouse e tenendo premuto il pulsante
sinistro.

- Rilasciare il pulsante una volta che
il cursore ha raggiunto una seconda
posizione desiderata sullo schermo.

Lo scopo del drag  di selezionare in
modo rapido una porzione arbitraria di
testo presente sullo schermo. Questa
porzione viene di solito messa in
evidenza cambiandone il colore
rispetto al testo non selezionato. Su
di essa sar poi possibile effettuare
varie operazioni, come per esempio la
cancellazione oppure la copia o
spostamento in un'altra posizione del
documento.

                            Pagina 108


La funzione di simulazione del mouse
su MB408S permette di simulare queste
operazioni:

- Click semplice con il pulsante
sinistro.

- Click semplice con il pulsante
destro.

- Doppio click con il pulsante
sinistro.

- Drag con due metodi diversi.

I dettagli operativi verranno spiegati
qui di seguito.

I comandi per la simulazione mouse con
MB408

La funzione SHIFT-F7 della riga
Braille permette di selezionare tra
cursor rounting e simulazione mouse;
sui caratteri di controllo appaiono

                            Pagina 109


rispettivamente le lettere CR oppure
MS.

I pulsanti sopra ciascun carattere
braille vengono spesso indicati come
"pulsanti touch" o, semplicemente,
"touch".

Verranno utilizzati non solo i 40
pulsanti sopra i caratteri di lettura,
ma anche i due pulsanti sopra i
caratteri di controllo; per comodit
chiamiamo questi due "pulsanti touch
di controllo".

La pressione di un touch 
accompagnata da un beep, da un doppio
beep nel caso dei touch di controllo.

La pressione di uno dei 40 touch
simula un click con il pulsante
sinistro del mouse alla posizione
indicata dal carattere Braille
corrispondente al touch premuto. Si
noti che esiste una corrispondenza
diretta tra touch e pulsante sinistro

                            Pagina 110


del mouse, cio la pressione del touch
corrisponde alla pressione del
pulsante del mouse, il rilascio del
touch corrisponde al rilascio del
pulsante del mouse.

La simulazione del doppio click del
pulsante sinistro si ottiene sempli-
cemente con una doppia pressione di un
touch. Quanto devono essere ravvi-
cinate le due pressioni affinch il
comando venga interpretato come doppio
click non  definito in modo standard
e pu variare in funzione del
programma utilizzato.

La simulazione del click del pulsante
destro si ottiene come segue:

- Premere il secondo touch di
controllo, sui caratteri di controllo
appare la scritta RG.

- Premere uno dei 40 touch nella
posizione desiderata.

                            Pagina 111


Si noti che una successiva pressione
di un touch corrisponde di nuovo al
click con il pulsante sinistro.
Inoltre, se dopo aver premuto il touch
di controllo si desidera annullare
l'operazione in corso,  sufficiente
premere di nuovo lo stesso touch di
controllo; in tal caso la scritta RG
verr cancellata dai caratteri di
controllo. Non  previsto il doppio
click con il pulsante destro.

Per la simulazione del drag sono
previste due modalit, denominate
"drag corto" e "drag lungo".

Per drag corto si intende un drag da
eseguire all'interno dei 40 caratteri
della riga Braille e viene attivato
come segue:

- Premere un touch per fissare il
punto iniziale del drag. Tenere
premuto il pulsante.

                            Pagina 112


- Premere un secondo pulsante, sempre
tenendo premuto il primo.

Rilasciare il secondo pulsante, ma non
ancora il primo.

Ci corrisponde allo spostamento del
cursore del mouse sulla posizione
indicata dal secondo touch,
spostamento effettuato tenendo il
pulsante sinistro del mouse premuto,
come appunto richiede l'operazione di
drag.

L'area individuata dal drag 
ovviamente quella compresa tra il
primo e il secondo touch.

- Se desiderato, modificare l'area di
drag premendo altri touch, senza per
mai rilasciare il primo touch premuto.

- Quando l'area di drag  quella
voluta, rilasciare il primo touch; ci
termina l'operazione di drag e

                            Pagina 113


corrisponde al rilascio del pulsante
sinistro del mouse.

Per drag lungo si intende un drag il
cui punto iniziale e punto finale sono
cos distanti da richiedere lo
spostamento della riga Braille. Viene
attivato come segue:

- Premere il primo touch di controllo,
sui caratteri di controllo appare la
scritta DR. Se si desidera annullare
l'operazione in corso,  sufficiente
premere di nuovo lo stesso touch di
controllo; in tal caso la scritta DR
verr cancellata dai caratteri di
controllo.

- Premere uno dei 40 touch per
definire l'inizio dell'area di drag.
Si noti che questo touch deve essere
anche rilasciato, non tenuto premuto
come nel caso del drag corto.

- Spostare la riga Braille dove si
desidera, e premere il touch sul punto

                            Pagina 114


finale dell'area di drag. Con questo
termina l'operazione di drag.

Non  previsto il drag con il pulsante
destro.

Differenze con il Cursor Routing

Da un punto di vista concettuale, la
differenza tra cursor routing e si-
mulazione del mouse sta in una fase di
interpretazione (da parte del pro-
gramma applicativo) che si interpone
tra l'azione dell'utente (cio la
pressione di un pulsante di touch) e
la reazione del programma applicativo
stesso.

Con il cursor routing, quando premiamo
un pulsante di touch, chiediamo alla
riga Braille di spostare il cursore
dello schermo dalla posizione attuale
a quella che abbiamo appena indicato
con il pulsante di touch. Per
effettuare questa operazione, la riga
sposta un passo alla volta il  cursore

                            Pagina 115


simulando la pressione dei 4 tasti
freccia della tastiera del PC.

Quasi sempre, nei programmi
applicativi, non tutto lo schermo pu
essere raggiunto dal cursore. Per fare
un esempio concreto, immaginiamo un
comune programma di editing in cui lo
schermo  diviso in 3 parti.

La prima riga in alto sullo schermo 
la riga del menu che contiene una
serie di voci. Quando, con un
opportuno comando, si attiva la riga
del menu, per ogni voce selezionata si
apre una corrispondente finestra con-
tenente tutte le funzioni associate
alla voce del menu; questo  il clas-
sico tipo di menu detto "a tendina".

L'ultima riga in basso sullo schermo 
la riga di stato che riporta una serie
di informazioni come per esempio il
nome del file di testo su cui si sta
lavorando, la riga e la colonna su cui
 il cursore, ecc..

                            Pagina 116


L'area compresa tra riga del menu e
riga di stato  la finestra di editing
e contiene il testo su cui stiamo
lavorando che potr anche scorrere in
alto e in basso, dall'inizio del file
fino alla fine. Il cursore pu
spostarsi solo all'interno di
quest'area.

Tornando ora al cursor routing, finch
chiediamo di spostare il cursore
all'interno dell'area di editing la
riga Braille riuscir a compiere cor-
rettamente l'operazione. Il problema
nasce quando, per esempio, chiediamo
di spostare il cursore sulla riga del
menu.

La riga Braille non pu determinare
che, il quel dato contesto, quella
riga dello schermo non  raggiungibile
dal cursore; quindi tenter lo stesso,
ottenendo probabilmente come risultato
uno scorrimento indesiderato del testo
verso il basso.

                            Pagina 117


Infatti, quando il cursore  sulla
prima linea della finestra di editing,
subito sotto alla riga del menu, la
riga Braille tenter di spostarlo in
alto simulando la pressione del tasto
"freccia in alto". Ma cos facendo non
otterr lo spostamento del cursore ma
piuttosto uno scorrimento verso il
basso di una riga di tutto il testo.
Non si avr nessuno scorrimento solo
se il cursore era gi posizionato
sulla prima linea di testo del file.

Le cose peggiorano ulteriormente se
utilizziamo un'altra caratteristica
presente in molti editor: la
possibilit di lavorare
contemporaneamente su due file di
testo. Tornando al nostro programma
editor di esempio, quando apriamo un
secondo file di testo avremo che la
finestra di editing si divide in due
parti per via dell'inserimento di una
seconda linea di stato, quella
relativa al nuovo file appena aperto.
Quindi, procedendo dall'alto verso il

                            Pagina 118


basso sullo schermo, avremo ora queste
aree:

- Riga del menu

- Finestra di editing del primo file

- Riga di stato del primo file

- Finestra di editing del secondo file

- Riga di stato del secondo file

Il cursore potr essere posizionato
solo all'interno delle due finestre di
editing; per passare da una finestra
all'altra sar previsto un opportuno
comando da tastiera.

Se ora, con il cursor routing,
cerchiamo di portare il cursore sulla
seconda finestra di editing quando
questo  posizionato sulla prima,
otterremo in realt che il cursore
rimane sulla prima finestra ed inoltre
avremo come effetto indesiderato uno

                            Pagina 119


scorrimento in alto di diverse righe
del testo della prima finestra. Ci 
evidentemente dovuto al fatto che la
riga Braille non pu sapere che, in
quel contesto,  necessario battere un
certo comando da tastiera per passare
alla seconda finestra di editing.

Vediamo adesso il comportamento nelle
stesse situazioni della funzione di
simulazione del mouse; come gi
accennato, la differenza essenziale 
che in questo caso il programma editor
cerca di interpretare il comando dato
dall'utente in base alla posizione in
cui viene effettuato il click del
mouse.

Partiamo spostando il cursore
all'interno della prima finestra di
editing simulando dei click con il
pulsante sinistro. L'unica differenza
che si potr notare in questo caso
rispetto al cursor routing  che ora
la risposta alla richiesta di
spostamento del cursore  pi veloce.

                            Pagina 120


Ci  dovuto al fatto che il cursor
routing per spostare il cursore da un
punto all'altro dello schermo deve
farlo passare per tutta una serie di
posizioni intermedie; con il mouse,
invece, il passaggio  immediato, dal
punto iniziale direttamente a quello
finale.

Ma vediamo ora cosa succede se
eseguiamo un click su una voce della
riga del menu; il programma editor
capisce che vogliamo aprire la
finestra con le funzioni associate
alla voce indicata, e infatti reagisce
al nostro click esattamente in questo
modo. Non solo, ma ora per eseguire
una delle funzioni che ci vengono
presentate nella finestra del menu,
sar sufficiente indicarla con un
altro click.

Se proviamo a eseguire un click su una
delle righe di stato, l'editor sa che
su quella riga non c' nulla di

                            Pagina 121


selezionabile e quindi, giustamente,
non reagisce in alcun modo.

Per finire, proviamo lo spostamento
del cursore sulla seconda finestra di
editing, partendo dalla prima. Anche
in questo caso l'editor capisce cor-
rettamente il comando dell'utente e
provvede a spostare il cursore nel
punto giusto sulla seconda finestra di
editing, senza che sia necessario
battere da tastiera il comando per
cambiare finestra di editing.

Gli esempi descritti sono relativi a
un tipo di comportamento molto comune
per i programmi di editing, che
comunque non si pu ritenere vero
nella totalit dei casi; certi
programmi applicativi hanno alcune
particolarit nell'uso del mouse e
queste andranno analizzate caso per
caso. Sar sempre opportuno consultare
i manuali dei programmi applicativi
per conoscere in modo dettagliato

                            Pagina 122


l'uso del mouse previsto nel
programma.

Comunque, in generale, i principali
vantaggi della simulazione del mouse
rispetto al cursor routing si possono
riassumere come segue:

- Maggiore velocit nel posizionamento
del cursore.

- Possibilit di attivare menu di
selezione in modo corretto e senza
effetti collaterali indesiderati.

- Annullamento automatico delle
richieste di posizionamento cursore in
punti non raggiungibili.

- Possibilit di altre funzioni
tramite l'utilizzo del doppio click o
del drag, come per esempio la
selezione di blocchi di testo
all'interno dei programmi di
elaborazione testi.

                            Pagina 123


6.14 Simulazione Pagina Su, Pagina Gi

Durante la lettura di un testo
potrebbe essere comodo simulare la
pressione del tasto "Pagina Gi"
oppure "Pagina Su" sulla tastiera del
PC per poter continuare la lettura
senza dover interagire con la tastiera
stessa. Sono state inserite due
funzioni che permettono esattamente
questa operazione, e si attivano nel
seguente modo :

S-LF = simula il tasto "Pagina Su"
della tastiera del PC.

S-RG = simula il tasto "Pagina Gi"
della tastiera del PC.

                            Pagina 124


7. Le Funzioni di Servizio

Per accedere al men delle funzioni di
servizio bisogna premere e rilasciare
il tasto F1 durante l'accensione del
display braille, pi precisamente
quando viene visualizzata la scritta
"MB408S BIOS vn.nn" (n.nn  la
versione del bios). Tutte le funzioni
definite vengono attivate battendo uno
dei tasti F1-F0.

E' possibile vedere la lista delle
funzioni battendo i tasti freccia per
spostarsi avanti (tasti RG e DN) e
indietro (tasti LF e UP). Attualmente
sono definite le seguenti funzioni:

7.1 L'editor del font Braille

F6 = font editor, permette di
visualizzare ed eventualmente
modificare i font Braille. Sono
presenti 12 font, 11 fissi e uno
personalizzabile dall'utente.

                            Pagina 125


I primi 11 font non sono modificabili
e vengono riconosciuti con il nome
della lingua o una sigla che ne
definisce lo standard. Il font braille
normalmente attivato  "EURO437". Il
font 12  il font utente completamente
riconfigurabile. All'inizio questo
font  identico al font EURO437.

Sul display vengono indicati il nome
del font selezionato, il codice ASCII
decimale del carattere selezionato e
la sua codifica Braille, racchiusa tra
due caratteri pieni per facilitarne la
lettura.

Per spostarsi nella lista dei
caratteri ASCII utilizzare i tasti
freccia che incrementano e
decrementano il codice selezionato. In
particolare abbiamo:

UP              : decrementa di 10.

LF              : decrementa di 1.

                            Pagina 126


RG              : incrementa di 1.

DN              : incrementa di 10.

S-UP oppure S-LF   : decrementa di
100.

S-RG oppure S-DN   : incrementa di
100.

                            Pagina 127


Inoltre sono attivi i seguenti tasti:

F5 = Torna al codice ASCII 0.

F1 = Seleziona il font precedente.

F6 = Seleziona il font succesivo.

SL-F5           =  Reset del font
utente, che viene riportato uguale al
font                    selezionato
al momento.

S-F0 = Entra in modo editing, valido
solo se  selezionato il font utente.

F0 = Termina e ritorna al menu delle
funzioni di servizio.

In modo editing  possibile modificare
la codifica Braille del codice ASCII
selezionato sul font utente. Sulla
parte sinistra del display appare la
scritta "Edit" al posto di "Font" per
indicare che si  entrati in modo
editing. Il secondo carattere di

                            Pagina 128


controllo riporta il carattere nella
sua configurazione iniziale, prima
delle eventuali modifiche.

In modo editing sono attivi i seguenti
tasti:

F1-F4 e F6-F9 = attiva/disattiva il
punto Braille corrispondente, come
posizione, sul carattere.

F5 = attiva tutti gli 8 punti del
carattere.

F0 = disattiva tutti gli 8 punti del
carattere.

S-F0 = esci dal modo editing salvando
le modifiche effettuate sul carattere.

S-F5 = esci dal modo editing senza
salvare le modifiche effettuate.

                            Pagina 129


7.2 Le altre funzioni

F1 = prova del modulo Braille.
Utilizzare i tasti freccia per
spostarsi tra le varie sequenze di
test. Battendo SHIFT con un tasto
freccia le sequenze di test vengono
ripetute in modo automatico. Battendo
di nuovo un tasto freccia si ritorna
in modo manuale. Si esce da questa
funzione con F0.

F2 = prova pulsantini "touch",
premendo il pulsante sopra il
carattere vengono attivati tutti gli
otto punti del carattere stesso se il
pulsante viene letto correttamente.
Uscire con F0.

F3 = prova tastierini, viene riportato
il nome del tasto battuto, uscire con
L-F0.

F4 = selezione del tempo di
spegnimento dei caratteri piezo.
Permette di indicare dopo quanto tempo

                            Pagina 130


di inattivit del display vengono
disattivate le barre piezo-elettriche
dei caratteri braille. I caratteri si
riattivano automaticamente alla
pressione di un tasto o
all'aggiornamento del display. Sono
attivi i tasti da F1 a F4 e i tasti
freccia per selezionate 4 tempi
diversi. Si esce da questa funzione
con F0.

F5 = selezione lingua, permette di
passare dai messaggi in Italiano a
quelli in Inglese e viceversa.

F7,F8 = non utilizzate.

F9 = Visualizzazione del tempo di
lavoro dei caratteri piezo. Vengono
visualizzati i tempi "Ton" e "Toff"
(in ore, minuti e secondi). Il valore
"Ton" indica per quanto tempo i
caratteri piezo sono rimasti attivi,
il valore "Toff" per quanto tempo
inattivi. I tempi vengono aggiornati

                            Pagina 131


solo quando il display  acceso.
Uscire con F0.

F0 = Uscita dal menu delle funzioni di
servizio. Viene effettuato un
controllo hardware del display e, se
il codice  valido, viene eseguito il
programma applicativo.

                            Pagina 132


8. Il programma MBCOM

Il programma mbcom.exe provvede alla
gestione del trasferimento dati tra PC
e MB408S.

Il suo funzionamento  indipendente
dal fatto che sia attivo o meno il
programma di interfaccia Braille
(mb4048s.exe). I dati che si possono
trasferire tra MB408S e il PC sono di
tre tipi:

- il "file codice", di dimensione
131072 bytes e contenente tutto il
software caricato nella memoria perma-
nente riscrivibile di MB408S.

- il "file parametri", di dimensione
256 bytes e contenente tutti i
parametri di configurazione relativi
allo stato delle funzioni di MB408S.

- il "file font", di dimensione 256
bytes contenente tutto il font braille
definito dall'utente.

                            Pagina 133


8.1 Il trasferimento dati

Il programma mbcom.exe permette il
trasferimento di file codice,
parametri e font dal PC a MB408S e
viceversa. Le funzioni descritte in
questo paragrafo vengono eseguite dal
bios del display, quindi il programma
mbcom tenta di resettare
automaticamente il display braille e
attende la sincronizzazione con il
bios. A sincronizzazione avvenuta,
sulla riga braille viene riportata
l'operazione di trasferimento in
corso.

Notare che la procedura automatica di
reset del display avviene solo se 
attivo il protocollo numero 1 nel
programma applicativo.

Nel caso mbcom non riesca a comunicare
con il terminale braille, rimane in
attesa della sincronizzazione o della
pressione di un tasto sulla tastiera
del PC, emettendo un beep ogni

                            Pagina 134


secondo. Battendo un tasto qualsiasi,
l'esecuzione di mbcom viene interrotta
e si ritorna al DOS.

Nel caso in cui mbcom non riesca a
sincronizzarsi dopo circa 5 secondi,
provare a spegnere e riaccendere il
display. All'accensione dovrebbe in
ogni caso avvenire la
sincronizzazione, sempre che si sia
selezionata la porta seriale corretta.

I parametri che seguono sono necessari
per specificare l'operazione
desiderata; essi vanno indicati sulla
linea comandi del DOS e possono essere
scritti indifferentemente in caratteri
maiuscoli o minuscoli.

C> mbcom [/RC] [/RP] [/RF] [/TC] [/TP]
[/ECHO] [/n] [/B,ind,int]

/RC,nomefile = Ricevi codice:
trasferisci il codice da MB408S al PC
creando il file <nomefile>.

                            Pagina 135


/RP,nomefile = Ricevi parametri:
trasferisci i parametri da MB408S al
PC creando il file <nomefile>.

/RF,nomefile = Ricevi font:
trasferisci il font utente da MB408S
al PC creando il file <nomefile>.

/TC,nomefile = Trasmetti codice:
trasferisci il file codice <nomefile>
dal PC a MB408S.

/TP,nomefile = Trasmetti parametri:
trasferisci il file parametri
<nomefile> dal PC a MB408S.

/TF,nomefile = Trasmetti font:
trasferisci il font utente da
<nomefile> dal PC a MB408S.

Solo uno di questi parametri deve
essere specificato.

Il parametro /n specifica la porta
seriale a cui  collegato MB408S; "n"
pu assumere i valori 1, 2, 3 oppure 4

                            Pagina 136


per indicare rispettivamente COM1,
COM2, COM3 e COM4. Se non specificato,
viene utilizzata la porta COM1.

/B,ind,int = definisce la porta
seriale da utilizzare per la
comunicazione. Questo parametro si
deve usare in alternativa al parametro
/n quando si utilizza una porta
seriale non standard. Il parametro
"ind"  l'indirizzo base della porta
seriale, mentre "int"  l'interrupt
associato alla porta seriale. Si
possono specificare i due valori sia
in decimale che in esadecimale,
facendo precedere il numero dal
simbolo "$" in quest'ultimo caso.
Consultare la documentazione relativa
alla propria scheda seriale per
individuare i valori da specificare.
Vediamo alcuni esempi :

/B,$03F8,4  specifica i valori
standard per la COM1

                            Pagina 137


/B,$02F8,3  specifica i valori
standard per la COM2

/ECHO = permette di eseguire un test
del link seriale. Sul display appare
la scritta "Prova collegamento MB-PC".
Se i dati ricevuti dal PC non sono
corretti, viene emesso un suono basso
ad ogni pacchetto in errore,
altrimenti viene emesso un suono acuto
ad ogni pacchetto ricevuto
correttamente. Per uscire dalla
funzione di echo battere un tasto
sulla tastiera del PC. Il display
entra nel men delle funzioni di
servizio.

Vediamo ora alcuni esempi di utilizzo
del programma mbcom.exe.

Esempio 1: vogliamo salvare su disco
la configurazione parametri di MB408S,
creando il file prova.par. Il
terminale  collegato alla porta COM2.

C> mbcom /rp,prova.par /2

                            Pagina 138


Come indicato in precedenza il
programma mbcom tenta di resettare il
display e si pone in attesa della
sincronizzazione, emettendo un segnale
acustico ogni secondo. Se l'operazione
di sincronizzazione avviene
correttamente, sulla riga braille
viene riportata l'operazione in corso
e viene eseguito il salvataggio dei
parametri. Sullo schermo del PC viene
indicato anche lo stato del programma
mb408s.exe e l'operazione eseguita.

Al termine dell'operazione il
programma mbcom rilascia la porta
seriale e, se era attivo il programma
mb408s.exe, viene riattivato il
collegamento normale; diversamente si
entra nel men delle funzioni di
servizio. Con il comando "dir" si pu
verificare che  stato creato il file
parametri "prova.par" di 256 bytes.

In caso di errori, il programma
termina riportando un opportuno
messaggio; riferirsi all'appendice 3

                            Pagina 139


per una descrizione dei possibili
messaggi di errore.

Esempio 2: vogliamo caricare sul
terminale Braille una nuova revisione
di codice, contenuta su disco nel file
"nuovo.cod". L'interfaccia Braille 
attiva e il terminale  collegato alla
porta COM1.

C> mbcom /tc,nuovo.cod

Anche in questo caso la procedura
risulta identica a quella appena
descritta, ma sul display appare il
numero del blocco di codice che si sta
trasferendo; il contatore deve
raggiungere il valore 128. Al termine
dell'operazione il programma mbcom
rilascia la porta seriale e, se era
attivo il programma mb408s.exe, viene
riattivato il collegamento normale
eseguendo il nuovo codice appena
caricato. Diversamente si entra nel
men delle funzioni di servizio.

                            Pagina 140


9. Il Programma FEDIT

Il programma fedit permette di creare
un file di testo descrittivo di un
font braille partendo da un file
binario o, viceversa, partendo da un
file di testo descrittivo permette di
creare un file binario che pu essere
utilizzato come font utente e caricato
sul display braille.

Con il dischetto originale vengono
forniti tutti i file di testo
descrittivi degli 11 font braille
fissi presenti nel display.

I file di testo descrittivi del font
devono avere estensione .FTX, mentre i
file binari devono avere estensione
.FON. Quindi, il programma FEDIT
provvede a convertire file .FTX nei
corrispondenti file .FON e viceversa.

Se si trasferisce su disco il font
utente presente sul display
(utilizzando il programma mbcom con il

                            Pagina 141


parametro /RF)  quindi opportuno
indicare un nome di file con
estensione .FON, altrimenti sar
necessario rinominare il file ricevuto
prima di poterlo utilizzare con FEDIT.

Per convertire un file binario .FON
nel file di testo .FTX, eseguire il
seguente comando dal DOS:

c> fedit <nomefile>.fon

Al termine, sul disco sar presente
anche un file di nome <nomefile>.ftx.

Il file di testo prodotto pu essere
visualizzato e modificato con un
qualunque editor di testi ed ha la
struttura che segue.

Sulla prima riga  presente il nome
del font preceduto dal carattere
chiocciola "@" ; nel caso del font
utente il nome deve essere sempre
"USERFONT" e non deve essere
modificato.

                            Pagina 142


Segue una tabella di 4 colonne in cui
ogni riga descrive un carattere; le 4
colonne riportano nell'ordine:

- Codice ASCII decimale del carattere
(da 0 a 255).

- Codice ASCII esadecimale del
carattere (da 00 a FF).

- Carattere relativo al codice ASCII,
racchiuso tra  parentesi graffe. Si
noti che i primi 32 caratteri di
controllo vengono sempre indicati con
uno spazio.

- Codifica Braille del carattere
rappresentata come  descritto al
paragrafo 5.6.

Al termine del file vengono riportate
le eventuali combinazioni di punti
ripetute e quelle non utilizzate.

                            Pagina 143


La larghezza del file  inferiore a 40
colonne e quindi risulta agevole
l'utilizzo di stampanti Braille.

Per produrre un file binaro partendo
da un file descrittivo basta eseguire
il programma con la seguente
sintassi :

c> fedit <nomefile>.ftx

Nel caso di errori nel file
descrittivo viene visualizzato il tipo
di errore e la linea in cui si trova.
Se tutto  corretto non appaiono
errori e viene creato un file
<nomefile>.fon. Se il nome del font 
"USERFONT", il file prodotto di 256
byte  pronto per essere trasferito al
display braille con l'opzione /TF del
programma mbcom.

                            Pagina 144


10. Il programma TESTHW

Il programma testhw.exe 
essenzialmente un programma
diagnostico e, come tale,  rivolto a
personale specializzato. Nella maggior
parte dei casi, pu quindi essere
ignorato dall'utente.

Il programma effettua un controllo
sulla presenza delle porte seriali
installate sulla macchina,
riportandone l'indirizzo e il tipo di
UART. Verifica inoltre il tipo di
scheda video presente, indicando se di
tipo COLORE oppure MONOCROMATICO.
Infine controlla la compatibilit
nella lettura della posizione del
cursore attraverso la scheda video,
riportando quattro righe con la
posizione del cursore letta attraverso
il BIOS e attraverso il controller
video. Se le posizioni coincidono, non
dovrebbero esserci problemi
nell'utilizzo del parametro /X al
momento dell'installazione

                            Pagina 145


dell'interfaccia Braille mb408s.exe
(vedi par. 5.1 e 5.2).

                            Pagina 146


Appendice 1

Lista riassuntiva delle funzioni
raggruppate per tipo

Nota: tra parentesi viene riportata
l'indicazione data sui due caratteri
di controllo quando si utilizza la
funzione.

FUNZIONI DI SPOSTAMENTO BASE

UP =si sposta di una riga in alto.
DN =si sposta di una riga in basso.
LF =si sposta di 40/36 caratteri a
sinistra.
RG =si sposta di 40/36 caratteri a
destra.
S-UP= tabulazione verticale in alto.
S-DN= tabulazione verticale in basso.
S-LF= simula la pressione del tasto
Pagina Su sulla tastiera del PC.
S-RG= simula la pressione del tasto
Pagina Gi sulla tastiera del PC.

                            Pagina 147


ALTRE FUNZIONI DI SPOSTAMENTO.

F1 =vai all'inizio della finestra
attualmente definita.
S-F1= vai al primo testo presente
all'interno della finestra definita.
F2 =vai all'inizio dell'ultima riga
della finestra.
S-F2= vai all'ultimo testo presente
all'interno della finestra.
F4 =spostati sulla posizione del
cursore.
F3 =scorrimento del display a
sinistra di un carattere.
F8 =scorrimento del display a destra
di un carattere.
SL-F3 = annulla lo scorrimento dei
caratteri.

LA MODALITA' "TESTO COMPRESSO".

F6 =attiva/disattiva la modalit
"testo compresso" (T+/T-).
L-F1= attiva/disattiva il filtro
caratteri semigrafici (G-/G+).

                            Pagina 148


LA GESTIONE DEL CURSORE.

L-F5= attiva/disattiva la
visualizzazione del cursore (C+/C-).
S-F4= seleziona il tipo di cursore.
F5 =attiva/disattiva l'aggancio
automatico con il cursore (A+/A-).
SL-F5 = attiva/disattiva il ritardo di
aggancio cursore (D+/D-).

LE TABULAZIONI.

S-F3= vai alla tabulazione
orizzontale precedente.
S-F8= vai alla tabulazione
orizzontale successiva.

L-F3= definisci le tabulazioni
orizzontali.
   Sono attivi i tasti :

   F1-F0 = seleziona la tabulazione da
   impostare.
   S-F5 = attiva/disattiva la 
   tabulazione.
   UP/LF = decrementa il valore della 

                            Pagina 149


   posizione.
   RG/DN = incrementa il valore della 
   posizione.
   S-F0 = riporta la tabulazione in 
   colonna 1.
   S-F1 = riporta la posizione della 
   prima colonna su cui  attualmente 
   posizionato il display.
   L-F0 = esci dalla funzione.

L-F8 = selezione tabulazione
verticale.
   Sono attivi i tasti :

   UP/LF = decrementa il valore.
   RG/DN = incrementa il valore.
   L-F0 = esci dalla funzione.

I MARKER.

F9 =richiama un marker (MK).
   Sono attivi i tasti :

   F1-F0 = seleziona il marker da 
   richiamare.

                            Pagina 150


L-F9= definizione dei marker.
   Sono attivi i tasti :

   F1-F0 = seleziona il marker da 
   impostare.
   UP = decrementa il valore della 
   riga.
   LF = decrementa il valore della 
   colonna.
   RG = incrementa il valore della  
   colonna.
   DN = incrementa il valore della 
   riga.
   S-F1 = definisci il marker alle 
   coordinate attuali del display.
   S-F0 = riporta il marker in colonna
   1, riga 1.
   L-F0 = esci dalla funzione.

                            Pagina 151


LE FINESTRE.

F7 =attiva una delle finestre
definite (WN).
Sono attivi i tasti :

   F1-F0 = seleziona la finestra da 
   richiamare.
   S-F1,
   S-F0 = definizione automatica delle
   finestre.

L-F7= definizione delle finestre.
   Sono attivi i tasti :

   F1-F0 = seleziona la finestra da 
   impostare.
   S-F5 = seleziona la coppia "RC" 
   (riga/colonna).
   UP = decrementa il valore della 
   riga.
   LF = decrementa il valore della 
   colonna.
   RG = incrementa il valore della 
   colonna.
   DN = incrementa il valore della 

                            Pagina 152


   riga.
   S-F0 = riporta la finestra a 
   schermo pieno.
   L-F0 = esci dalla funzione.

LA GESTIONE DEGLI ATTRIBUTI TESTO.

S-F6 = attiva/disattiva visualizza-
zione attributi testo dei caratteri.
L-F6= attiva/disattiva visualizza-
zione attributo selezionato (V+/V-).

SL-F6 = selezione attributo caratteri.
   Sono attivi i tasti :

   F1-F4,
   F6-F9 = attiva/disattiva il punto 
   Braille corrispondente.
   F5 = attiva tutti gli 8 punti 
   dell'attributo.
   F0 = disattiva tutti gli 8 punti 
   dell'attributo.
   S-F5 = indica i colori 
   corrispondenti al codice attributo 
   selezionato.
   L-F0 = esci dalla funzione.

                            Pagina 153


ALTRE FUNZIONI DI MB408S.

SL-F0 = Help On-line.
   Sono attivi i tasti :

   LF = indietro nella lista.
   RG = avanti nella lista.
   UP = prima riga della funzione 
   precedente.
   DN = prima riga della funzione 
   successiva.
   S-LF = prima riga della funzione 
   attuale.
   S-RG = ultima riga della funzione 
   attuale.
   S-UP = prima riga della prima 
   funzione.
   F1,
   SL-F0 = descrizione della funzione 
   associata.
   L-F0 = esci dalla funzione.

L-F2 = seleziona il Font Braille
attivo.
S-F5= seleziona avanzamento a passi
di 40 oppure di 36 caratteri (A2/A1).

                            Pagina 154


L-F8= attiva/disattiva la
segnalazione acustica associata alla
pressione di un tasto (S+/S-).
S-F9= attiva/disattiva i punti 7 e 8
del font Braille (B8/B6).

SL-F9 = riporta alcune informazioni
relative alla configurazione video
attuale.
   Sono attivi i tasti :

   UP/LF = indietro nella lista.
   RG/DN = avanti nella lista.
   F0 = esci dalla funzione.

SL-F1 = reset totale dei parametri di
MB408S (RT).
SL-F2 = reset parziale dei parametri
di MB408S (RP).
L-F0 = seleziona protocollo di
comunicazione.
S-F7 = seleziona simulazione mouse o
cursor routing.

                            Pagina 155


LA GESTIONE DEL SOFT-CURSOR.

SL-F4 = seleziona i parametri relativi
al Soft-Cursor.
   Sono attivi i tasti:

   F1-F4,
   F6-F9 = attiva/disattiva il punto 
   Braille corrispondente.
   F5 = attiva tutti gli 8 punti 
   dell'attributo.
   F0 = disattiva tutti gli 8 punti 
   dell'attributo.
   S-F1 = modifica il parametro MS.
   S-F2 = modifica il parametro PS.
   S-F3 = modifica il parametro HC.
   S-F5 = indica i colori 
   corrispondenti al codice attributo 
   selezionato.
   S-F4 = definisci riga iniziale e 
   finale per la ricerca del 
   soft-cursor.
   L-F6,
   L-F7,
   L-F8 = salvano la configurazione 
   dei parametri del soft-cursor.

                            Pagina 156


   S-F6,
   S-F7,
   S-F8 = richiamano una delle 
   configurazioni precedentemente 
   memorizzate.
   L-F0 = esci dalla funzione.

L-F4 = seleziona l'Hard-Cursor oppure
il Soft-Cursor (HC/SC).

LE FUNZIONI NON DEFINITE.

Attualmente non sono definite le
seguenti funzioni:
SL-F7, F0, S-F0.
Alla pressione di queste combinazioni
MB408S produce una segnalazione di
errore.

                            Pagina 157


Appendice 2

Lista riassuntiva delle funzioni in
ordine di tasto

UP =si sposta di una riga in alto.

DN =si sposta di una riga in basso.

LF =si sposta di 40/36 caratteri a
sinistra.

RG =si sposta di 40/36 caratteri a
destra.

--------------------------------------

S-UP= tabulazione verticale in alto.

S-DN= tabulazione verticale in basso.

S-LF= simula la pressione del tasto
Pagina Su sulla tastiera del PC.

S-RG= simula la pressione del tasto
Pagina Su sulla tastiera del PC.

                            Pagina 158


--------------------------------------

F1 =vai all'inizio della finestra
attualmente definita.

S-F1= vai al primo testo presente
all'interno della finestra definita.

L-F1= attiva/disattiva il filtro
caratteri semigrafici (G-/G+).

SL-F1 = reset totale dei parametri di
MB408S (RT).

--------------------------------------

F2 =vai all'inizio dell'ultima riga
della finestra.

S-F2= vai all'ultimo testo presente
all'interno della finestra.

L-F2= seleziona il Font Braille.

SL-F2 = reset parziale dei parametri
di MB408S (RP).

                            Pagina 159


--------------------------------------

F3 =scorrimento del display a
sinistra di un carattere.

S-F3= vai alla tabulazione
orizzontale precedente.

L-F3= definisci le tabulazioni
orizzontali.
   Sono attivi i tasti :

   F1-F0 = seleziona la tabulazione da
   impostare.
   S-F5 = attiva/disattiva la 
   tabulazione.
   UP/LF = decrementa il valore della 
   posizione.
   RG/DN = incrementa il valore della 
   posizione.
   S-F0 = riporta la tabulazione in 
   colonna 1.
   S-F1 = riporta la posizione della 
   prima colonna su cui  
   attualmente posizionato il display.
   L-F0 = esci dalla funzione.

                            Pagina 160


SL-F3 = annulla lo scorrimento dei
caratteri.

--------------------------------------

F4 =spostati sulla posizione del
cursore.

S-F4= seleziona il tipo di cursore.

L-F4= seleziona l'Hard-Cursor
oppure il Soft-Cursor (HC/SC).

SL-F4 = seleziona i parametri relativi
al Soft-Cursor.
   Sono attivi i tasti:

   F1-F4,
   F6-F9 = attiva/disattiva il punto 
   Braille corrispondente.
   F5 = attiva tutti gli 8 punti 
   dell'attributo.
   F0 = disattiva tutti gli 8 punti 
   dell'attributo.
   S-F1 = modifica il parametro MS.
   S-F2 = modifica il parametro PS.

                            Pagina 161


   S-F3 = modifica il parametro HC.
   S-F5 = indica i colori 
   corrispondenti al codice attributo 
   selezionato.
   S-F4 = definisci riga iniziale e 
   finale per la ricerca del 
   soft-cursor.
   L-F6,
   L-F7,
   L-F8 = salvano la configurazione 
   dei parametri del soft-cursor.
   S-F6,
   S-F7,
   S-F8 = richiamano una delle 
   configurazioni precedentemente 
   memorizzate.
   L-F0 = esci dalla funzione.

--------------------------------------

F5 =attiva/disattiva l'aggancio
automatico con il cursore (A+/A-).

S-F5= selezione avanzamento a passi
di 40 oppure di 36 caratteri (A2/A1).

                            Pagina 162


L-F5= attiva/disattiva la
visualizzazione del cursore (C+/C-).

SL-F5 = attiva/disattiva il ritardo di
aggancio cursore (D+/D-).

--------------------------------------

F6 =attiva/disattiva la modalit
"testo compresso" (T+/T-).

S-F6= attiva/disattiva visualizza-
zione attributi testo dei caratteri.

L-F6= attiva/disattiva visualizza-
zione attributo selezionato (V+/V-).

SL-F6 = selezione attributo caratteri.
   Sono attivi i tasti :

   F1-F4,
   F6-F9 = attiva/disattiva il punto 
   Braille corrispondente.
   F5 = attiva tutti gli 8 punti 
   dell'attributo.

                            Pagina 163


   F0 = disattiva tutti gli 8 punti 
   dell'attributo.
   S-F5 = indica i colori 
   corrispondenti al codice attributo 
   selezionato.
   L-F0 = esci dalla funzione.

--------------------------------------

F7 =attiva una delle finestre
definite (WN).
   Sono attivi i tasti:

   F1-F0 = seleziona la finestra da 
   richiamare.
   S-F1,
   S-F0 = definizione automatica delle
   finestre.


S-F7= seleziona la simulazione mouse
o il cursor routing.

                            Pagina 164


L-F7= definizione delle finestre.
   Sono attivi i tasti :

   F1-F0 = seleziona la finestra da 
   impostare.
   S-F5 = seleziona la coppia "RC" 
   (riga/colonna).
   UP = decrementa il valore della 
   riga.
   LF = decrementa il valore della 
   colonna.
   RG = incrementa il valore della 
   colonna.
   DN = incrementa il valore della 
   riga.
   S-F0 = riporta la finestra a 
   schermo pieno.
   L-F0 = esci dalla funzione.

SL-F7 = non ancora definita.

--------------------------------------

F8 =scorrimento del display a destra
di un carattere.

                            Pagina 165


S-F8= vai alla tabulazione
orizzontale successiva.

L-F8= selezione tabulazione
verticale.
   Sono attivi i  tasti :

   UP/LF = decrementa il valore.
   RG/DN = incrementa il valore.
   L-F0 = esci dalla funzione.

SL-F8 = attiva/disattiva la
segnalazione acustica associata alla
pressione di un tasto (S+/S-).

--------------------------------------

F9 =richiama un marker (MK).
Sono attivi i tasti :

   F1-F0 = seleziona il marker da 
   richiamare.

S-F9= attiva/disattiva i punti 7 e 8
del font Braille (B8/B6).

                            Pagina 166


L-F9= definizione dei marker.
   Sono attivi i tasti :

   F1-F0 = seleziona il marker da 
   impostare.
   UP = decrementa il valore della 
   riga.
   LF = decrementa il valore della 
   colonna.
   RG = incrementa il valore della 
   colonna.
   DN = incrementa il valore della 
   riga.
   S-F1 = definisci il marker alle 
   coordinate attuali del display.
   S-F0 = riporta il marker in colonna
   1, riga 1.
   L-F0 = esci dalla funzione.

SL-F9 = riporta alcune informazioni
relative alla configurazione video
attuale

--------------------------------------

                            Pagina 167


F0,
S-F0, = non definite


SL-F0 = Help On-line.
   Sono attivi i tasti :

   LF = indietro nella lista.
   RG = avanti nella lista.
   UP = prima riga della funzione 
   precedente.
   DN = prima riga della funzione 
   successiva.
   S-LF =prima riga della funzione 
   attuale.
   S-RG =ultima riga della funzione 
   attuale.
   S-UP =prima riga della prima 
   funzione.
   F1,
   SL-F0 = descrizione della funzione 
   associata.
   F0 = esci dalla funzione.

                            Pagina 168


Appendice 3

A3.1 Gli errori del terminale MB408S

Tipo di errore :
Errore nel controllo memoria eprom.
Errore nel controllo memoria ram.
Errore nel controllo timer.
Ambito : all'accensione di MB408S.
Descrizione : errori gravi della
scheda logica interna, rivolgersi al
servizio di assistenza tecnica.

Tipo di errore :
Programma utente non valido.
Ambito : funzione di servizio F0
oppure all'accensione di MB408S.
Descrizione : il codice presente sulla
memoria permanente riscrivibile di
MB408S si  alterato. Questo evento,
piuttosto raro, pu avvenire per
interruzioni sulla linea elettrica o,
pi in generale, per disturbi di tipo
elettro-magnetico. In questo caso
rimangono operative solo le funzioni
di servizio e non  pi possibile

                            Pagina 169


attivare l'interfaccia Braille. E'
necessario ricaricare il file codice.

Tipo di errore:
Parametri BIOS non validi.
Ambito : all'accensione di MB408S.
Descrizione : i parametri del BIOS
presenti sulla memoria permanente
riscrivibile di MB408S si sono
alterati. Vengono ricaricati i
parametri di default. Se si aveva una
copia dei parametri, ricaricarli con
il programma mbcom per ripristinare la
situazione precedente.

Tipo di errore :
Errore nel checksum del pacchetto.
Errore di timeout ricezione pacchetto.
Parametri del pacchetto non validi.
Ambito : durante il trasferimento del
codice, parametri o font.
Descrizione : questi errori indicano
un cattivo comportamento del
protocollo di comunicazione.
Dovrebbero comunque essere errori
molto rari. Come conseguenza di questi

                            Pagina 170


errori viene annullato il
trasferimento in corso.

Tipo di errore :
Il PC non risponde
Ambito : durante l'uso normale.
Descrizione : questo errore indica un
cattivo comportamento del protocollo
di comunicazione oppure che il PC non
 collegato. Come conseguenza a questo
tipo di errore, vengono disattivati
tutti i tasti escluso la selezione del
protocollo di comunicazione, che
potrebbe non essere quello corretto.

Tipo di errore :
Parametri applicazione non validi.
Ambito : all'avvio del programma
utente di MB408S.
Descrizione : i parametri
dell'applicazione presenti sulla
memoria permanente riscrivibile di
MB408S si sono alterati. Vengono
ricaricati i parametri di default. Se
si aveva una copia dei parametri,

                            Pagina 171


ricaricarli con il programma mbcom per
ripristinare la situazione precedente.

                            Pagina 172


A3.2 Gli errori del programma
MB408S.EXE

Tipo di errore :
Errore nell'apertura porta seriale.
Ambito: installazione del programma.
Descrizione : sul PC non  presente la
porta seriale specificata o la porta
seriale  in errore.

Tipo di errore :
Errore nella definizione porta
seriale.
Ambito : installazione del programma.
Descrizione : nel parametro /B sono
stati specificati male o l'indirizzo
base oppure l'interrupt della porta
seriale.

                            Pagina 173


Tipo di errore :
Programma residente non installato.
Ambito : disinstallazione del
programma.
Descrizione :  stato specificato il
parametro /Q ma il programma non 
ancora stato installato.

Tipo di errore :
Non  possibile scaricare il
programma.
Ambito : disinstallazione del
programma.
Descrizione :  stato specificato il
parametro /Q, ma sono stati
individuati altri programmi residenti
in memoria che ne impediscono la
disinstallazione.
Procedere quindi alla rimozione dei
programmi residenti caricati succes-
sivamente a MB408S.EXE.

                            Pagina 174


Tipo di errore :
Programma residente gi installato.
Ambito : installazione del programma.
Descrizione : si sta tentando di
caricare il programma quando questo 
gi presente in memoria. Tenere
presente che per modificare i
parametri di installazione,  neces-
sario scaricare prima il programma con
il parametro /Q.

                            Pagina 175


A3.3 Gli errori del programma
MBCOM.EXE

Tipo di errore :
Errore nell'apertura porta seriale.
Ambito : al lancio del programma.
Descrizione : sul PC non  presente la
porta seriale specificata o la porta
seriale  in errore.

Tipo di errore :
Errore nella definizione porta
seriale.
Ambito : al lancio del programma.
Descrizione : nel parametro /B sono
stati specificati male o l'indirizzo
base oppure l'interrupt della porta
seriale.

Tipo di errore :
Dimensione file non corretta.
Ambito : trasmissione file (/TC, /TP,
/TF).
Descrizione : indica che il file
codice specificato sulla linea comandi
del DOS non  di dimensione corretta.

                            Pagina 176


Tipo di errore :
File non trovato o errore di lettura
file sorgente.
Ambito : trasmissione file (/TC, /TP,
/TF).
Descrizione : indica che il file
specificato sulla linea comandi del
DOS non  stato trovato, oppure non
viene letto correttamente dal disco.

Tipo di errore :
Errore di scrittura file destinazione.
Ambito : ricezione file (/RC, /RP,
/Rf).
Descrizione : indica che i dati appena
ricevuti non possono essere scritti

correttamente poich lo spazio 
insufficiente o il disco  difettoso.

                            Pagina 177


Tipo di errore :
Errore nell''intestazione pacchetto.
Errore timeout ricezione pacchetto.
Errore nel checksum pacchetto.
Errore nel protocollo.
Ambito : durante il trasferimento del
codice, parametri o font.
Descrizione : questi errori indicano
un cattivo comportamento del
protocollo di comunicazione.
Dovrebbero comunque essere errori
molto rari. Come conseguenza di questi
errori viene annullato il
trasferimento in corso.

                            Pagina 178


A3.4 Consigli utili

- Assicurarsi che il cavo di
collegamento al PC sia sempre ben
inserito e fissato alle due estremit
utilizzando le apposite viti. Inoltre
il connettore del cavo di
alimentazione deve essere inserito a
fondo nella sede della spina VDE.

- Nel caso in cui il terminale Braille
non si accenda, controllare il
fusibile posto tra l'interruttore di
accensione e la spina VDE. Il fusibile
va sempre sostituito con uno di pari
valore (250mA 250V). Se il terminale
continua a non funzionare
correttamente, rivolgersi al Servizio
di assistenza tecnica autorizzato.

- Per la pulizia del terminale
utilizzare un panno morbido
leggermente imbevuto di alcool,
facendo attenzione a non premere
eccessivamente sulla finestra del

                            Pagina 179


display LCD. Evitare assolutamente
l'uso di altri detergenti.

- Nel caso in cui un punto del modulo
Braille rimanga bloccato, non tentare
di smuoverlo utilizzando oggetti
appuntiti; al pi tentare la pulizia
superficiale del modulo come sopra
descritto. In caso negativo rivolgersi
al Servizio di assistenza tecnica.


